# 3. Circular Open Source Fashion
---

## **🌍 Breaking the Fashion System!**


Welcome to the world of circular modular fashion where clothes don’t just exist; they evolve. This class is all about hacking the fashion system, ditching waste, and making garments that adapt, reshape, and transform. 


Think LEGOs, but make it fashion! My mission? To create two stunning, zero waste, modular garments: **The Dragon Scales Top** and **The Net Skirt**. No sewing, just joints, cuts, and creative engineering. Buckle up, it's gonna be a ride!

---

## **📖 Research: Who's Doing It & Why It Matters**

I deep dived into **circular fashion**, **modular seams**, and **zero waste** techniques. A couple of key inspirations stood out

- **What is circular design for fashion?**

<iframe width="560" height="315" src="https://www.youtube.com/embed/kY9cAnBkCns?si=WShI3MkdSWf6Xv9N" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>


- [Alve Lagercrantz ](https://class.textile-academy.org/2023/alve-lagercrantz/): Explored line patterns for net bags and skirts, manipulating laser-cut spaces for structure and movement.
![moodboard](../images/week03/alve.jpeg)
 

- **[Circular Robot](https://www.semanticscholar.org/paper/Design-and-Fabrication-of-a-Deployable-Rubber-for-a-Jiang-Nishikawa/69e780074c745427d99c65cc3681955a186ca919)**

![moodboard](../images/week03/robot.jpeg)



- **[OS Circular](https://oscircularfashion.com/project/-NE5Hud4oavhzmksqjMm)**Fashion Open-Source Projects** : A treasure trove of modular fashion concepts.
 

Big realization **Laser cutting + clever pattern design = sustainable, no waste fashion magic!**

---

## **🎨 Inspiration & Sketching**




I started with a mood board packed with organic armor, dragon scales, and futuristic net patterns. The idea was to create **a top with overlapping scales** and **a skirt with laser cut netting that moves like woven fabric**





![moodboard](../images/week03/moodboard.jpeg)  


Here’s my workflow:

1. **Hand Sketches** 
        -  First rough ideas on paper.
2. **Digital Drawings in Illustrator & Fusion 360** 
        - Desiging the Dragon scales and Joints , Cleaned up the sketches and created vector files.

3. **Prototype on Paper** 
        -  Cutting with seziors small paper to check the interlocking 
4. **Prototype on Material**
        - Laser cut small test pieces to check the pattern fit and interlocking system.
4. **Laser cutting Dragon Scales & Joints** [Laser Cutting 101](https://class.textile-academy.org/2025/dima-hejap/assignments/week02/#laser-cutting-machine-settings:~:text=was%20aligned.-,Step%203%3A%20Laser%20Cutting%20101%3A%20Setting%20the%20Perfect%20Speed%20and%20Power%20%E2%9A%A1,-%C2%B6)
5. **Putting all together**

---

## **🔥 Making the Dragon Scales Top**

- **👾 Step 1: Paper Prototyping the Scales**
     - Used  paper to test how the scales would **overlap and move** 
     - Created interlocking joints (male & female connections)
     - Adjusted shapes for better flexibility and structure
         - cut them with seziors and test them out 

![moodboard](../images/week03/modular.gif)  
![moodboard](../images/week03/dragon%20scales%2001.png)  


- **💡 Step 2: Choosing Materials & Laser Cutting**

    !!! tip "Materials" 
             - Felt (eco-friendly & flexible)
                 - Waste Felt Scraps (zero waste!)

![moodboard](../images/week03/4.jpeg)  

![moodboard](../images/week03/5.jpeg)  
![moodboard](../images/week03/dragon%20scales%20033.png)  

??? tools "**Tools**"
    - [Illustrator](https://www.adobe.com/products/illustrator.html) (Design) 
    - [Rhino](https://www.rhino3d.com/) (Final Prep)
    - [Fusion 360](https://www.autodesk.com/products/fusion-360/overview) (For Precise Adjustments)

 **Laser Cutting Settings**

| Material | Power | Speed |
|----------|-------|-------|
| Paper | 20 | 100 |
| Felt | 70 | 2 |
| Waste Felt Scraps | 70 | 2 |


![moodboard](../images/week03/circular%20modular.jpeg)

### **[Dragon Scales Top](https://oscircularfashion.com/project/-O8gHGFot1irzlKcKo2w) Finale** 

---

This Dragon Scales Top is inspired by OSCircular Fashion, an amazing open-source platform that promotes modular and zero-waste garment design. Their innovative approach to digital fashion has been a great resource in shaping this piece


![moodboard](../images/week03/6.jpeg)


Voila!!

- Laser cut **370 scales and 250 joints**.
- Used a **small metal picker** to put the pieces together.
- It took **8+ hours of manual assembly** no stitches, just pure joint magic!

![moodboard](../images/week03/7.jpeg)
![moodboard](../images/week03/8.jpeg)

---

## **🕸 Making the Net Skirt**


- **🔍 Step 1: Researching Net Structures**  
  - Obsessed with **net skirts from shows**, I explored ways to recreate similar aesthetics through laser cutting. 
  
  
![moodboard](../images/week03/inspo.jpg)


 References & Inspiration:  
- [Runway Net Skirt 1](https://www.pinterest.com/pin/643240759311627577/)  
- [Runway Net Skirt 2](https://www.pinterest.com/pin/643240759311627590/)  
- [Runway Net Skirt 3](https://www.pinterest.com/pin/643240759311627588/)  

- Inspired by **[Alve Lagercrantz’s approach](https://class.textile-academy.org/2023/alve-lagercrantz/)** to line-based laser cutting and their work in **[OSC Circular](https://oscircularfashion.com/project/-NE5Hud4oavhzmksqjMm)**, I experimented with **pattern variations**, adjusting line spacing to control flexibility, drape, and transparency.   
           
![moodboard](../images/week03/alve%20test.jpeg)

- Studied **[Alve Lagercrantz’s approach](https://class.textile-academy.org/2023/alve-lagercrantz/)** to line-based laser cutting.  
- Created **pattern variations** with different line spacings, exploring their potential for **circular modular fashion**.  


- **📝 Step 2: Digital Design & Prototyping**
       - **took Alve Designed in Fusion 360 and made my adjustments **line distances & lengths** for flexibility & bounce**.
    ![moodboard](../images/week03/sc%20alve.jpg)

       - **Tested on Butter Paper** to see how the net pattern stretched.

    ![moodboard](../images/week03/paper.jpg)

      - **Choose the Fabric and tested again so i can see how Fabric reacts, is it gonna be too Fragile**

      ![moodboard](../images/week03/st%20protoype.jpg)

     - Now that i saw how at some areas the lines more close which means less spaces i started to understand the concept oF the ent skirt more which gave me the gut to do my own.


![moodboard](../images/week03/laser%20cut%20small.jpg)
![moodboard](../images/week03/skirt.png)  


!!! materails "**Materials**" 
     - Stretchable eco-fabric.



- **🛠 Step 3: Laser Cutting & Final Assembly**




![moodboard](../images/week03/laser%20cut%20result.jpg)


- **Laser Cutting Settings**

| Material | Power | Speed |
|----------|-------|-------|
| Butter Paper Prototype | 15 | 100 |
| Stretch Fabric | 60 | 85 |

![moodboard](../images/week03/closing%20skirts_11zon.jpg)  


- Final net pattern **mimics knitted textiles**
- flexible, breathable, dynamic.
- Zero waste. Just pure **cut & stretch magic**!

![moodboard](../images/week03/skirt%20result.jpg)

🔗 [Net Skirt](https://oscircularfashion.com/project/-O8gCK6xSLrFvd0H10MN)

---

## **🎉 Final Thoughts: My Circular Fashion Journey**


![moodboard](../images/week03/result.jpg)
**Two modular pieces, fully realized.** The **Dragon Scales Top** bold, structured, textured, and alive. The **Net Skirt** light, flexible, effortlessly stylish. Both showcase a future of fashion where garments **adapt, evolve, and waste nothing**.

From **paper sketches to laser perfection**, this project has been a deep dive into the intersection of design, sustainability, and tech. And let’s be real I still can’t believe I made this! **Ayyayaya!**

Now, it’s your turn. Hack the system, design smart, and let’s build the future of fashion one interlocking module at a time. 💥

---

## **📚 Extra Resources & Links**

- [Fusion 360 Tutorials](https://www.autodesk.com/solutions/fusion-360-learning)
- [Illustrator for Fashion Design](https://www.adobe.com/products/illustrator.html)
- [Laser Cutting Best Practices](https://www.epiloglaser.com/how-it-works/)


---

## Fabrication files

[^1]: File: [Top - Dragon Scales](../files/week03/Dragon%20Slaves%20Top%20-DA.pdf)
[^2]: File: [Top - Dragon Scales](../files/week03/Dragon%20Slaves%20Top%20160%20Black.dxf)
[^3]: File: [Top - Joints](../files/week03/Dragon%20Slaves%20Top%20Joint%20.dxf)
[^4]: File: [Bottom Net Skirt](../files/week03/Skirt%20Pattern%2003.dxf)
[^5]: File: [Bottom Net Skirt](../files/week03/Skirt%20Pattern%20Net%20-DA.pdf)