


# **4.BioChromes**




This week was all about discovering the magic of natural dyes, pigments, and inks something I never realized nature could offer in such abundance!


## Inspiration and Research

![Jordan Inspired](../images/week04/04-Jordan%20Her.jpg)  
[Source](https://www.pinterest.com/pin/10907224091892444/) | [Source02](https://www.tirazcentre.org/en/exhibitions/woven-art-traditional-weavings-jordan)

In my research on textile dyeing, I found inspiration in the vibrant weaving heritage of Jordan. The intricate patterns and colors reflect the land's stories, and I was especially drawn to natural dyeing techniques like using madder for rich reds. This journey has shaped my sustainable approach to design, influencing my circular modular fashion project as I blend traditional artistry with modern eco-friendly practices.

## Rediscovering Natural Dyes



![Intro](../images/week04/04-intro.jpg){ width=700 align=middle }

We kicked things off by diving into biochromes, exploring how everyday plants and materials,
often found right in our kitchens or backyards, could create stunning colors for textiles. 


## Dyeing Process Steps


![Natural Dyes Cycle](../images/week04/04-cycle.png)

---

[Cecelia Class 2024-25](https://vimeo.com/759198671/17a63310b4) 


### Step 1: Understanding Fibers 

![step 1](../images/week04/04.FABRICS.jpg){ width=200 align=right }
- We started by exploring different fibers: animal fibers like wool and silk, and plant fibers like cotton and linen.
- Claudia explained how each fiber interacts differently with natural dyes: wool and silk absorb color easily, while cotton requires extra care to hold onto dye.

### Step 2: Scouring Process

Before starting the dyeing process, **scouring** is an essential step to prepare the fibers. Scouring removes any impurities, oils, or residues that might interfere with dye absorption, ensuring vibrant and even color results. Here's how I approached scouring:

1. **Materials Used for Scouring:**
   - Water
   - Soda ash (sodium carbonate)
   - Mild detergent (optional, for stubborn residues)

2. **Steps:**
   - Heated a pot of water to approximately 60–70°C.
   - Added **2% soda ash (by WOF)** into the water and stirred until fully dissolved.
   - Soaked the fibers (both plant based and animal based) in the solution, ensuring they were fully submerged.
   - Simmered for about 30 minutes, gently stirring occasionally with a soup for wool and boil it for an hour for plant Based fabric.
   - Rinsed the fibers thoroughly with clean water to remove any leftover soda ash or impurities.
   - Allowed the fibers to dry slightly before moving on to the mordanting process.

3. **Key Observations:**
   - Plant based fibers like cotton benefited from an additional detergent wash to fully remove manufacturing residues.
   - Wool required careful temperature control to avoid felting.

By completing the scouring step, the fibers were clean and ready to absorb mordants and dyes more effectively. This foundation ensured a successful dyeing process in the later stages.


### Step 3: Mordanting the Fibers

![step 2](../images/week04/04.mordnat.jpg){ width=200 align=right }

- We learned about the **mordanting process**, essential for getting vibrant, long-lasting colors. A mordant helps the dye bind to the fiber.
- We used **alum**, a natural mineral, as our mordant, which works well for both plant and animal fibers.
- Using the **WOF (Weight of Fiber) equation**, we calculated the correct amount of alum based on the weight of the fibers.
- The fibers were added to a bath of alum and water, simmering for about an hour to prepare them for dyeing.



### Step 4: Preparing the Dye Baths

![step 2](../images/week04/04.dye%20bathjpg.jpg){ width=200 align=right }


We prepared the dye baths using materials like onion skins, Hibiscus, and red cabbage. We measured the plant materials using the WOF (Weight of Fiber) equation to ensure the right dye-to-fiber ratio:

**WOF (Weight of Fiber) Equation:**

WOF = (Weight of Dye Material / Weight of Fiber) × 100

In our case, the animal fabric weighed **194 grams**, and the plant material weighed **264 grams**. Using the WOF equation, we calculated the amount of alum needed for mordanting:

1. **Weight of Dye Material** (plant material) = 264 grams
2. **Weight of Fiber** (animal fabric) = 194 grams

Calculating the WOF:

WOF = (264 / 194) × 100 ≈ 136.08%

To determine the alum amount, a common recommendation is to use 10-15% of the fiber's weight in alum. Assuming we use 10% for this calculation:

Alum needed = Weight of Fiber × 0.10 = 194 × 0.10 ≈ 19.4 grams

The materials were boiled in water for about an hour, allowing the pigments to release into the water, creating vibrant dye solutions.



### Step 5: Dyeing the Fibers


![step 2](../images/week04/04.soak.jpg){ width=200 align=right }

- Once the dye baths were ready, we added our pre-mordanted fibers to soak overnight. This extended soaking period allows the fibers to fully absorb the colors.




---


??? tip " Quick Tips & Tricks "

    - Animal fibers absorb dye easily, while plant fibers need more mordant.
    - Use the WOF equation to get the right fiber-to-dye ratio.
    - Mordant first (e.g., with alum) for vibrant, lasting color.
    - Simmer plants for an hour to extract pigments.
    - Soak fibers overnight for deeper color.
    - Experiment: onion skins for yellow, turmeric for gold, red cabbage for purples.
    - Document your process for future reference!



---


## Day 2: A Journey into Nature and the Magic of Pigment Extraction

Day 2 was all about exploration and discovery, bringing the biochromes process to life. Our field trip felt like stepping back in time, learning how our ancestors sourced dyes from nature. It was eye-opening to see that color isn't just from synthetic bottles—it's all around us in the plants we pass every day!

### **Exploring [Bader Forest](https://maps.app.goo.gl/6VXy7o1kPkoCUKqk8): Connecting with Nature**

![Trip Bader ](../images/week04/04.bader.jpg)


During our trip to Bader Forest, I was excited to use the [PlantNet app](https://identify.plantnet.org/) for the first time. As we explored, I began scanning the plants around us, and it felt like having a plant expert in my pocket, instantly identifying various species. I was amazed to discover that many plants we often overlook could be used for dyeing, revealing vibrant colors hidden in plain sight. 




???Tips " Using the PlantNet App"

      ![Planetnet App ](../images/week04/04-planetnet.jpg)

    - **Download the App:** First things first grab the [PlantNet app](https://identify.plantnet.org/) on your phone, whether you’re on iOS or Android. It’s super handy!

	  

  
    - **Get Outside:** Head into nature! Whether you're wandering through a park or your backyard, keep an eye out for interesting plants.




    - **Snap Some Photos:** When you find a plant you’re curious about, take a clear picture of its leaves, flowers, or any unique features.

	


    - **Identify with Ease:** Let the app do its magic! Upload your photos, and it will suggest possible plant matches for you to explore.

	


    - **Discover More:** Dive into the details about each plant, including how it can be used for dyeing—it's like uncovering a hidden treasure!

	  


    - **Keep Track:** Make a note of the plants you find and their dyeing potential. This will come in handy for your future projects!






Collecting **oak** deepened my appreciation for how these trees enhance dye richness. This experience opened my eyes to the significance of local flora and the art of natural dyeing, making our outing truly enlightening.


### **Back to the Lab: Revealing the Colors**

After our trip, we returned to the lab and checked the fabrics left in the dye baths overnight, feeling like we were unwrapping gifts! The colors had deepened beautifully.

| Material     | Cotton Color       | Wool Color         | Silk Color         |
|--------------|--------------------|---------------------|---------------------|
| Onion Skin   | 🟨 Warm Golden Yellow | 🟨 Warm Golden Yellow | 🟨 Warm Golden Yellow |
| Red Cabbage  | 🟪 Soft Purple        | 🟪 Soft Purple        | 🟪 Soft Purple        |
| Hibiscus     | 🩷 Light Pink         | 🩷 Light Pink         | 🩷 Light Pink         |


### **Playing with Modifiers: A Color Experiment**

Throughout the dyeing process, we experimented with modifiers like alum, sodium carbonate, and lemon juice, which had magical effects on the colors:

| Modifier          | Resulting Color    | Swatch  |
|------------------|--------------------|---------|
| Sodium Carbonate | Stunning Blue      | 🟦      |
| Lemon Juice      | Bright Green       | 🟩      |
| Alum             | Deeper Pink        | 💖      |
| Iron             | Dark Gray          | ⬛      |
| Table Salt       | Softer Purple      | 🟪      |



It was incredible to see how such small tweaks could dramatically change the final colors. It felt like being a chemist in an art studio!




### **Pigment and Ink Extraction: Bringing Color to Life**

Once we had admired our dyed fabrics, it was time to start extracting pigment and ink from the leftover dye baths.
This part felt more scientific but just as exciting. To extract pigment, we used precipitation techniques.



#### Steps for Extracting Pigment from Onion Skin


![Step 1](../images/week04/04.pigmnet02.jpg) 

1. **Retain Dye Bath**: Keep the leftover dye bath from **onion skin**.

2. **Add Alum**: Stir in alum to the dye bath to cause pigments to settle.

3. **Add Soda**: Chemical Reaction will happen, Ratio between Alum and Soda is 2:1

3. **Let Settle**: Allow the mixture to sit until the pigments settle at the bottom.

4. **Separate**: Carefully pour off the liquid, leaving the settled pigments.

5. **Dry**: Spread the pigments on a tray and let them dry completely.

6. **Grind**: Crush the dried pigments into a fine powder using a mortar and pestle.



!!! info "Pigment Powder"
    - This powder could later be used to make paints or even cosmetics turning plants into something that could last indefinitely.


#### Ink

We also made ink by reducing the dye baths, adding binders to create a thicker, more stable consistency.
It was amazing to think that these materials now turned into ink and pigment could be used for future art and design projects.

---

## Day 3: Crafting My Own Dye and Ink
On Day 3, I took a hands-on approach, preparing separate dye baths for each materials oak galls, sage, and other leaves. Here’s how the process unfolded for each:



### **Preparing the Materials for Dye Bath**




* **Mordanting the Fabric**

![mordant](../images/week04/04.mordant%203.jpg){ width=300 align= }

I mordanted the fabric beforehand to help it bond with the dye.

??? info "Steps for Mordanting Fabrics"

	* **Materials Needed:**
	* Fabrics: (e.g., cotton, wool, silk)
    * Mordant: Alum (Potassium aluminum sulfate) or another preferred mordant
    * Water: Enough to cover the fabric completely
    * Pot: Stainless steel or enamel (avoid aluminum or cast iron)
    * Scale: For weighing the fabric and mordant
    * Stirring Tool: Wooden or plastic (avoid metal)
    * Timer

	* **Steps:**
	* Weigh the Fabric:
      Use a scale to weigh your fabric accurately.
      Record the weight for calculating the required amount of mordant.

    * Calculate the Mordant:

    the WOF (Weight of Fiber) equation to determine how much mordant you need.
    For alum, the standard ratio is about 10% of the fabric weight. For example, if you have 426 grams of fabric, you would use approximately 42.6 grams of alum.


    * Prepare the Mordant Bath:

    Fill your pot with enough water to completely submerge your fabric (approximately 10 times the weight of the fabric in liters).
    Add the calculated amount of alum (or other mordant) to the water.

    * Heat the Mordant Bath:

     Place the pot on the stove and heat the water gently.
    Stir until the mordant is completely dissolved.

    * Add the Fabric:

     Carefully place your fabric into the mordant bath, ensuring it is fully submerged.
     Stir gently to ensure even distribution of the mordant.


    * Mordanting Process:

    Bring the bath to a simmer (not a rolling boil) and maintain a temperature around 80-90°C (176-194°F).

    Allow the fabric to simmer for about 1 hour. Stir occasionally to ensure even mordanting.

    * Cooling and Rinsing:

    After the time is up, remove the pot from the heat and let the mordant bath cool.

    Once cool, carefully remove the fabric and rinse it under cool water to remove excess mordant.

 

---

### Ingredients & Recipes

Here’s a breakdown of how I prepared each dye bath and the ink recipes, almost like a fun, step-by-step recipe guide!


#### OAK Acorn Caps  🌰

![mordant](../images/week04/04.acrons.jpg){ width=300 align= }



??? info "Oak acorn caps Dye Bath Recipe 🌰"

	* **Ingredients:**
	* 50-60 grams of oak acorn
	* 2.5 liters of water


	* Steps
	* Clean the oak,crush them.
	* Add 2.5 liters of water to a large pot and bring it to a simmer.
	* Let the oak  simmer for 1 hour to release the tannins
	* Strain the oak  out
	* Place the pre-mordanted fabric into the dye bath and boil for 30 minutes
	* Leave the fabric in the dye bath overnight for richer color.


##### Adding Modefiers

| **Modifier**        | **Color Produced**       | **Image**                       |
|---------------------|-------------------------|----------------------------------|
| No Modifier          | Brown                   |  ![Brown](../images/week04/04.ACRON%20CAPS%20+%20NO%20MODEIER.jpg){ width=100 }                   |
| Alum                 | Light Brown              | ![Brown](../images/week04/04.ACRON%20CAPS%20+%20ALUM.jpg){ width=100 }               |
| Iron                 | Deep Black               | ![Brown](../images/week04/04.ACRON%20CAPS%20+%20IRON.jpg){ width=100 }                |
| Sodium Carbonate     | Dark Brown        | ![Brown](../images/week04/04.ACRON%20CAPS%20+%20SC.jpg){ width=100 }        |
| Lemon Juice         | Soft Brown           | ![Brown](../images/week04/04.ACRON%20CAPS%20+%20LEMON.jpg){ width=100 }            |
| Apple Vinegar       | Slightly Brown              | ![Brown](../images/week04/04.ACRONS%20CAPS%20+%20VINGEAR%20APPLE.jpg){ width=100 }              |
| Vinegar             | Brownish Beige          | ![Brown](../images/week04/04.ACRON%20CAPS+VINGEAR.jpg){ width=100 }          |
| Chopper             | Textured Brown          | ![Brown](../images/week04/04.ACRON%20CAP+%20CHOPPER.jpg){ width=100 }           |
| Iron + Alum         | Dark Black             | ![Brown](../images/week04/ACRON%20CAPS%20+%20IROM+ALUM.jpg){ width=100 }     |

---

##### **Dyeing the Fabrics**
Once the dye baths were ready, I mordanted the fabrics beforehand to help the dye bond well. After heating the dye baths to a warm temperature (not boiling), I dipped the fabrics in and left them to soak overnight. The results were fantastic the plant-based fabrics absorbed the dye beautifully, with subtle variations in color due to the modifiers. 


###### Preparing the Dye Bath
I prepared the dye baths and mordanted the fabrics beforehand to help the dye bond well. The dye baths were heated to a warm temperature (not boiling). 

- **First Sample**: The fabrics were dipped into the dye bath and soaked **overnight** to allow for rich color absorption. 
 
The next morning, I checked the first samples and noticed beautiful variations in color across the plant-based fabrics.



**Using Iron Clips for Design**
As part of the experiment, I also used clips with iron on the fabric. The reaction was fascinating the iron clips created black spots, forming cute shapes across the fabric. This gave each piece a unique design, adding an extra layer of creativity and personality to the fabric.

---

###### Testing fabrics with Modifiers

The following day, I decided to experiment fabrics with modifiers. I reheated the dye bath, then separated portions of it into individual cups. Here’s a breakdown of how I tested the modifiers:

![Modifier Testing Image](../images/week04/DSC7420%20(1).jpg)

- **Dye Bath Liquid per Cup**: I took **less than half a cup** of the dye bath liquid for each experiment, roughly **100 mL**.
- **Place Fabrics in Cups**: Add the pre-mordanted fabric samples to each cup.

Each cup contained different modifiers, and I then placed pieces of the previously dyed fabric in each cup to observe the color changes.

![Modifier Testing Image](../images/week04/dying%20phabric.jpg)

  ---

  - **Plant-based cotton**: **8 cm x 4 cm**
  - **Braided wool sample**: **5 cm in length**


![Modifier Testing Image](../images/week04/phabric.jpg)


---


| **Modifier**        | **Amount Added** | **Cotton Color**         | **Wool Color**           | **Image**                      |
|---------------------|------------------|--------------------------|--------------------------|--------------------------------|
| **Sodium Carbonate**| 1 g              | Olive Brown        | Light Beige        | ![Sodium Carbonate](../images/week04/oak+sc.jpg){ width=100 }  |
| **Iron**            | 2 g              | Dark Gray                | Charcoal Gray            | ![Iron](../images/week04/oak+iorn.jpg){ width=100 }         |
| **Alum**            | 2 g              | Light Olive               |  Drak Olive Green              | ![Alum](../images/week04/oak+alum.jpg){ width=100 }         |
| **Lemon Juice**     | 2 mL             | Dark Beige            | Beige                  | ![Lemon Juice](../images/week04/oak+lemon.jpg){ width=100 }  |
| **Apple Vinegar**   | 3 mL             | Light Beige               | Dark Beige               | ![Apple Vinegar](../images/week04/oak+%20apple%20vingear.jpg){ width=100 }  |
| **Vinegar**         | 3 mL             | Slightly Brown           | Slightly Brown          | ![Vinegar](../images/week04/oak+vingear_.jpg){ width=100 }      |



---
<div style="padding:56.25% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/1021977105?badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture; clipboard-write" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="Week04- Bio Chromes - Labels"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>



  **Label Each Sample**: I used a laser cutting machine to create labels for each fabric square, ensuring they were clearly marked with the modifier used for easy identification.

  
![Modifier Testing Image](../images/week04/Labels.jpg)

??? "Tools & Tips"
    - **What I Used**: Simple tools digital scale, measuring cups, stainless steel pots, and a thermometer to keep the dye baths warm.
    - **Modifiers**: Always have **sodium carbonate**, **lemon juice**, **vinegar**, **alum**, and **iron** nearby. These make a big difference!
    - **Fabric Prep**: Don’t skip the **mordanting**—it’s key for vibrant, lasting colors.
    - **Sample Sizes**: I used small test pieces (cotton: **8x4 cm**, wool: **5 cm braid**) to experiment without wasting material.
    - **Precision is Key**: I measured everything small dye cups (**100 mL**) and **1-2g** of modifiers. It helps control the results.
    - **Advice**: Be bold! Try unusual combos, but write it all down those happy accidents are worth repeating.


 ---


#### Steps for Creating  Ink

 **Making Ink Water & Ethanol Based**
I also worked on making waterbased and ethanol based inks. The ink from oak galls and copper created a rich black ink that I was especially happy with. 
![ Ink](../images/week04/Ink%20Making.jpg) 



**Making Ink Honey Based**
![Honey Based Ink](../images/week04/honey%20ink.jpg) 

1. **Mix Gum**: mix Gum arabic powder with hot water

     - **Ratio**: Combine **1 part gum arabic** with **2 parts water** and **1 part honey**.
     - Adjust until the mixture achieves a honey like consistency.

2. **Mix Ingredients**: mix both oak consist exctraction added with modefiers i chose alum +iron to get black color.


   ![Honey Consistancy](../images/week04/honey%20consistency.jpg) 


**Try it**:  made it perfect for stamping. I even made a version with alum that worked just as well, and I used this ink to stamp the Fabric Academy logo.

 Reference: [Ala Janbek](https://class.textile-academy.org/2023/ala-janbek/assignments/week04/) - Fabricademy Alumni

![Stamp](../images/week04/stamps.jpg) 

---


!!! info "Ink-Making Tips & Recommendations"
    - **Consistency Matters**: Aim for a thick, smooth, honey-like texture—if it’s too runny, add more gum arabic; too thick, add a bit of water.
    - **Stir Regularly**: Keep stirring while mixing to avoid clumps.
    - **Storage**: Always store in airtight containers to keep the ink fresh and prevent drying out.
    - **Test First**: Before storing, test the ink on paper or fabric to check the color and consistency.
    - **Personal Touch**: Feel free to adjust ratios based on your desired thickness and richness!


#### SAGE 🌿

  ![mordant](../images/week04/04.sage.jpg){ width=300 align= } 



??? info "Sage Dye Bath Recipe 🌿"

	* **Ingredients:**
	* 100-150 grams of sage leave
	* 2.5 liters of water


	* Steps
	* Chop and clean the sage leaves thoroughly.
	* Add 2.5 liters of water to a large pot and bring it to a simmer.
	* Add the sage leaves and let them simmer for 1 hour.
	* After simmering, strain the sage leaves out.
	* Place the pre-mordanted fabric into the dye bath and boil for 30 minutes.
	* Let the fabric sit in the dye bath overnight to develop the color fully.

---
###### Adding Modefiers


![sage Mod](../images/week04/sage%20swatch.jpg)

**Testing with Modifiers**

| Modifier          | Cotton Color         | Wool Color           | Image                        |
|-------------------|----------------------|----------------------|------------------------------|
| No Modifier        | Light Yellow Green   | Soft Greenish Yellow  | ![No Modifier ](../images/week04/s+no%20m.jpg){ width=100 }       |
| Alum              | Bright Yellow Green  | Rich Yellow Green     | ![Alum ](../images/week04/s+alum.jpg){ width=100 }        |
| Iron              | Olive Green          | Deep Olive Green      | ![Iron ](../images/week04/s+ron.jpg){ width=100 }       |
| Sodium Carbonate  | Muted Green          | Dark Olive            | ![Sodium Carbonate](../images/week04/s+sc.jpg){ width=100 }       |

---

!!! info "Ink-Making Tips & Recommendations"
     - **Tannin Levels**: Sage has lower tannin levels, resulting in more subtle color shifts with modifiers.
     - **Water Temperature**: Maintaining a warm temperature (not boiling) helps preserve the dye's quality.
     - **Fabric Preparation**: Pre-mordanting is essential for better dye absorption.
     - **Consistency**: Ensure sage leaves are fully submerged during extraction for even dye distribution.
     - **Color Exploration**: The light yellow-green shades are soft and delicate, making them ideal for light fabrics.
     - **Challenges Encountered**: 
       - Some leaves floated to the top, reducing contact with the water. Using a weight to keep them submerged helped.
       - Initial attempts yielded pale colors; increasing the leaf quantity improved vibrancy.

---


#### EUCALIPTUS 

  ![mordant](../images/week04/04.ecua.jpg){ width=300 align= } 


??? info "Eucaliptus Dye Bath Recipe 🌿"


	* **Ingredients:**
	* 100-150 grams of sage leave
	* 2.5 liters of water


	* Steps
	* Chop and clean the sage leaves thoroughly.
	* Add 2.5 liters of water to a large pot and bring it to a simmer.
	* Add the sage leaves and let them simmer for 1 hour.
	* After simmering, strain the sage leaves out.
	* Place the pre-mordanted fabric into the dye bath and boil for 30 minutes.
	* Let the fabric sit in the dye bath overnight to develop the color fully


##### Adding Modefiers

![ecua](../images/week04/ecua%20swatch.jpg)


**Testing with Modifiers**

| Modifier          | Cotton Color         | Wool Color           | Image                        |
|-------------------|----------------------|----------------------|------------------------------|
| No Modifier        | Light Orange Brown   | Soft Brownish Orange  | ![Image](../images/week04/ecua+no%20modphier.jpg){ width=100 }       |
| Alum              | Bright Green Brown        | Rich Green Brown     | ![Image](../images/week04/ecua+alum.jpg){ width=100 }      |
| Iron              | Dark Brown           | Deep Charcoal Brown   | ![Image](../images/week04/ecua+iron.jpg){ width=100 }       |
| Sodium Carbonate  | Muted Orange         | Olive Brown           | ![Image](../images/week04/ecua+sc.jpg){ width=100 }       |
| Lemon Juice       | Soft Yellow  | Light Yellow     | ![Image](../images/week04/ecua+lemon.jpg){ width=100 }      |
| Copper           | Soft Olive Green         | Soft Olive Green     | ![Image](../images/week04/ecua%20+copper.jpg){ width=100 }      |






??? summary "Tips & Discoveries"

	- **Color Extraction**: Eucalyptus leaves provide strong pigments, so adjust simmering time accordingly.
    - **Brightening Effects**: Alum tends to brighten the colors significantly, making it a great choice for enhancing vibrancy.
    - **Darkening Effects**: Iron darkens the natural hues, creating rich, deep colors—great for dramatic effects.
    - **Sustainable Choice**: Eucalyptus is eco-friendly, and the colors tend to last well when fixed correctly.
    - **Experimentation**: Keep notes on ratios and results to refine the process in future dyeing sessions.
    - **Challenges Encountered**:
      - Some eucalyptus leaves produced unexpected shades; testing different leaf parts (young vs. mature) yielded better results.
      - Straining the leaves was tricky; using a fine mesh strainer helped prevent leaf debris in the dye bath.


## Day 4 Making Oak Pigment 


On Day 4, I focused on extracting pigment from the oak acorn dye bath I had prepared earlier. This was an exciting process, as it transformed the leftover dye into a vibrant pigment for future use.

!!! example "Tools Used:"
    - **Digital Scale**: For accurate measurements of dye and modifiers.
    - **Large Pot**: To heat and mix the dye bath.
    - **Mortar and Pestle**: For grinding dried pigments into a fine powder.
    - **Filters**: For effectively separating pigments from the dye bath.
    - **Larger Jars**: For easier handling and drying of pigments.
    - **Stirring Stick**: For thorough mixing of ingredients.

!!! example "Materials Used:"
    - **Leftover Dye Bath**: 195.47 grams of oak dye
    - **Alum**: 19.55 grams (calculated as 10% of the weight of the dye bath)
    - **Sodium Carbonate**: 9.78 grams (half the amount of alum)

### Steps for Making Oak Pigment:

![Pigment Making Process](../images/week04/pigment%20making.jpg)

1. **Preparation**: I started by collecting the leftover dye bath from the previous dyeing process. This dye bath contained rich tannins extracted from the oak acorn caps, which gave it a deep color.

2. **Calculating Alum and Sodium Carbonate**: 
   - The total weight of the dye bath: **195.47 grams**.
   - Amount of alum to add: 
     - 10% of the dye bath = 19.55 grams.
   - Amount of sodium carbonate: 
     - Half of the alum = 9.78 grams.

3. **Mixing**: I mixed the **19.55 grams of alum** and **9.78 grams of sodium carbonate** into the dye bath. The sodium carbonate helped enhance the color and stability of the pigments. The reaction was beautiful, resulting in a vibrant explosion of colors that hinted at the potential of the pigment.

4. **Settling**: After adding the ingredients, I allowed the mixture to sit for several hours. This step was crucial as it facilitated the settling of pigments at the bottom of the container.

5. **Separation**: Once settled, I carefully poured off the liquid and separated the pigments using filters into three cups. I let the pigments filter overnight, ensuring that I captured as much of the pigment as possible.

6. **Drying**: The next day, I placed the filtered pigments in larger jars to allow for easier handling and drying. I let the pigments dry in the sun, which helped preserve their color and made the drying process more efficient.

7. **Grinding**: After the pigments dried, I ground them into a fine powder using a mortar and pestle. This powder can now be used for various applications, such as paints or inks.

<div style="padding:56.25% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/1021979138?badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture; clipboard-write" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="Week 04 - Bio Chromes - Oak Acorns Caps Pigment's Making"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>





!!! info "Oak Pigment-Making Tips & Recommendations"
     - **Settling Time**: Allowing enough time for the pigments to settle is vital. Rushing this step can result in a less concentrated pigment.
     - **Precision**: Accurately measuring the alum and sodium carbonate is crucial for ensuring effective bonding with the pigment and achieving the desired color.
     - **Larger Jars**: Using larger jars for mixing and settling can prevent overflow and make it easier to manage the pigments.
     - **Filter Use**: Separating the pigments using filters helped me capture fine particles and avoid clumps. This method is essential for achieving a smooth pigment.
     - **Sun Drying**: Letting the pigments dry in the sun is effective for preserving color and speeding up the drying process.
     - **Challenges Encountered**: 
       - Some pigments did not separate easily from the dye bath. Patience and gentle pouring helped.
       - Initial attempts yielded uneven textures; thorough mixing before settling improved the final consistency.




[Images & Video Credits By A S H R A F . J A Y Y O U S I ](https://www.instagram.com/ash_jyy/)

