# 5. E-textiles

 

---

## **No Idea, Just Excitement!**

When I first started this week, I honestly had **zero knowledge** about e-textiles. I had no idea what this week would hold! All I knew was that I’d have to dive into **circuits**, **sensors**, and **electronics** none of which I had ever worked with before. My brain was buzzing with questions like, “How will this work with fabric?!” But little did I know, this week would be the start of a **wild** adventure into the magical world of **interactive textiles**!

The challenge? **Everything** was new. It felt like jumping into the deep end without knowing how to swim. But I embraced it, learned by trial and error.

---

## **💡 Inspiration: Where It All Began**

 I did a bit of research to get inspired and understand the possibilities of e-textiles. One of the coolest things I discovered were **interactive fabrics** clothes that could light up, respond to touch, or even change based on the environment. Watching videos about **soft sensors**, **wearable tech**, and **e-textiles** really helped me wrap my head around what I could create. These innovations ignited my imagination!

Here are a couple of **inspiring YouTube videos** that guided me through the creative process:

**E-Textiles 101 - The Basics of Wearable Tech**

<iframe width="560" height="315" src="https://www.youtube.com/embed/iefeQihjmIM?si=229FUlEuqTSE310O" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>

**Creating Interactive E-Textiles**

<iframe width="560" height="315" src="https://www.youtube.com/embed/ClBYyYEFkF0?si=ODAQFhPT_f0lFM2h" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>



---

## **🔍 The Grand Introduction: Tools & Components**

Before diving into creating wearable magic, I first had to get familiar with the building blocks of electronics. When I saw the tiny components and tangled wires, I thought, "What have I gotten myself into?" 😱 But as I broke it down, things started clicking. Here’s what I discovered about my new friends:

<div class="grid cards" markdown>

-   __[⚙️The Breadboard My New Best Friend](https://www.sparkfun.com/products/12002)__  

    ---  
    ![describe what you see in this image](../images/week05/breadboard.png)
    Think of a breadboard as the playground for electronics. It's a place where you can plug in wires, resistors, LEDs, and more—without any permanent soldering. It's like a tiny city, where each hole is an "apartment" and components (wires, LEDs) are "neighbors," passing electricity back and forth. Cool, right?  

-   __[🔌Arduino The Brain of Our Circuit](https://store.arduino.cc/)__  

    ---  
    ![describe what you see in this image](../images/week05/aurduini%20ide.png)
    The **Arduino** board is the boss of everything. This tiny computer is responsible for controlling all the magic! I’d write code, upload it to Arduino, and voilà, it would control the circuit to blink LEDs, sense touch, and more. If my fabric was a dragon, the Arduino would be its brain, making it come to life! 🐉✨  

-   __[📏Multimeter The Circuit Detective](https://www.fluke.com/en-us/product/electrical-testing/digital-multimeters)__  

    ---  
    ![describe what you see in this image](../images/week05/multimeter.jpg)
    Ever had a light bulb refuse to turn on? The **multimeter** is your ultimate detective, helping you check if electricity is flowing where it should be.  

-   __[🔥Soldering Iron The Connection Maker](https://www.sparkfun.com/products/14556)__  

    ---  
    ![describe what you see in this image](../images/week05/soldering_iron.png)
    The soldering iron is like a glue gun for electronics. It creates permanent connections by melting solder to join components together. It’s essential for bringing circuits to life, ensuring everything stays firmly in place!  

-   __[⚡Velostat The Pressure Whisperer](https://www.adafruit.com/product/1361)__  

    ---  
    ![describe what you see in this image](../images/week05/velostat.png)
    Velostat is a pressure-sensitive material that can detect touch or squeeze. It’s like a magic fabric that changes its resistance when you press it, perfect for interactive projects!  

-   __[🧵Copper & Conductive Threads The Invisible Wires](https://www.sparkfun.com/products/10867)__  

    ---  
    ![describe what you see in this image](../images/week05/conductive_thread.png)
    These threads act like wires but are flexible and sewable! They're perfect for integrating circuits into textiles, making wearables not just functional but also comfy and stylish.  

-   __[🌌Eeonyx Fabric The Dynamic Sensor](https://www.adafruit.com/product/4194)__  

    ---  
    ![describe what you see in this image](../images/week05/eeonyx_fabric.png)
    The **Eeonyx fabric** is a non-woven resistive material that changes its resistance when stretched or pressed. It’s an excellent choice for creating analog sensors and interactive wearables, adding a whole new layer of smart functionality to textiles!  

</div>


---

## 🛠️ Learning the Tools  

<div class="grid cards" markdown> 

-   __[LEDs](https://www.sparkfun.com/categories/104)__  

    ---  
    ![describe what you see in this image](../images/week05/LEDS.png)
    LEDs (Light Emitting Diodes) are fundamental in e-textiles, providing visual feedback by lighting up. In my project, they were used for creating the interactive element of the fabric.  

    [Learn More](https://www.sparkfun.com/categories/104)

-    __[Resistors](https://www.electronics-tutorials.ws/resistor/res_1.html)__  

    ---  
    ![describe what you see in this image](../images/week05/resistor.png)
    Resistors are used to limit the flow of current in a circuit, protecting sensitive components like LEDs from burning out by controlling the current that passes through them.  

    [Learn More](https://www.electronics-tutorials.ws/resistor/res_1.html)

-    __[Jumper Wires](https://www.adafruit.com/product/758)__  

    ---  
    ![describe what you see in this image](../images/week05/jumper%20wires.png)
    These flexible wires are used to make temporary connections between components, typically on a breadboard, to test and build circuits.  

    [Learn More](https://www.adafruit.com/product/758)

-    __[Arduino Board](https://www.arduino.cc/)__  

    ---  
    ![describe what you see in this image](../images/week05/aurduino%20uno.png)
    The Arduino board is a microcontroller platform that lets you program and control circuits. It processes the code uploaded from the Arduino IDE to operate components like LEDs and sensors, making it a crucial part of interactive designs.  

    [Learn More](https://www.arduino.cc/)

-    __[Adafruit Microcontroller Classic Playground](https://www.adafruit.com/product/3000)__  

    ---  
    ![describe what you see in this image](../images/week05/microcontroller.png)
    The microcontroller is the brain of the entire project. It processes the code and controls the circuit components. 

    [Learn More](https://www.adafruit.com/product/3000)

</div>


### 🔥 **Soldering 101: Tips, Tools, and Oopsies!**

Soldering doesn’t have to be scary! With the right tools and a little practice, you’ll be a soldering pro in no time. Let’s dive into the essentials:

---

??? tools "🧰 **Tools You Need**"
     - **Soldering Iron** – Your hot magic wand. Get one with adjustable heat.
     - **Solder Wire** – The glue that holds your circuit together. Go for lead-free!
     - **Helping Hands** – Your second set of hands to hold components steady.
     - **Wire Cutters** – For trimming those pesky leads.
     - **Desoldering Pump** – Oops! Messed up? This tool helps you fix it.

---
!!! tip "🧑‍🏫 **Tips & Tricks**"
       1. **Heat both parts**: Touch the soldering iron to the pin and the pad. Then, feed in solder.
       2. **Use just enough solder**: A little volcano shape is the goal—not a solder mountain!
       3. **Clean that tip**: A clean tip means better soldering. Wipe it often!
       4. **Quick heat, quick release**: Don’t overstay your welcome on the joint—just a quick touch is all it needs.

---

!!! danger "🚫 **Common Mistakes**"
      1. **Cold Joints:** Looks ugly, feels weak. Heat it up, and do it quick!
      2. **Bridging:** Oops, soldered the wrong thing together? Less is more don’t flood the pads!
      3. **Overheating:** Hold it too long, and your components might melt. Be swift!



---

### **⚡ The Science of Circuits**

Now that I had the tools, it was time to dive into the **science of circuits**. Understanding how electricity flows through different types of circuits was essential.

---

 **🔗 Series Circuit: The Teamwork Approach**

In a **series circuit**, all components are connected in a single line, like a group of friends holding hands. But if one person lets go (one LED goes out), the whole group stops working. So, if one LED fails, the whole circuit is affected.

??? abstract "**Tip**"
     Series circuits are great for simple setups but may not be the most reliable for larger designs!

---

 **🔀 Parallel Circuit: The Independent Path**

In a **parallel circuit**, each LED gets its own path to power. This means that if one LED fails, the others stay on! It’s like giving each LED its own charger instead of sharing one tiny battery. 

??? example "**Tip**"
      Parallel circuits are way more reliable and provide brighter lights, especially in wearable tech.

---


 **⚠️ Short Circuits: The Unwanted Explosion**

A **short circuit** happens when electricity rushes along an unintended path, potentially overheating wires and damaging components. It’s like a road without any speed bumps—everything goes haywire!

??? note "**Tip**"
     Always double check your connections and use a multimeter to avoid this disaster!

---


### **🎛️ Analog vs. Digital Sensors – What’s the Deal?**

Alright, so we’ve got our circuits, LEDs, and microcontrollers ready to go... but **how do we actually make textiles interactive?** 🤯  

**Enter: Sensors!** These little geniuses are like the **nerves of e-textiles**, allowing fabrics to **sense touch, pressure, and movement**. But before we can dive into making them, we need to understand the two big players in the sensor world:  

=== "Analog Sensors – The Drama Queens 🎭"

    Analog sensors don’t just give a simple yes or no, they **express themselves**! They can detect **gradual changes** and give a **range of values**. Think of a dimmer switch or a volume knob. The more you turn or press, the stronger the signal!


=== "Example: Pressure-Sensitive Fabric"

    💡 **Example**: A pressure-sensitive fabric that **changes brightness depending on how hard you press**—now that’s some interactive magic!

---

=== "Digital Sensors – The On/Off Squad"

    Digital sensors, on the other hand, are **all about clarity**. They’re either **ON (1) or OFF (0)**—no in-between, no drama. It’s like flipping a light switch: **either it works, or it doesn’t.**



=== "Example: Touch Button on Fabric"

    💡 **Example**: A simple **touch button on fabric**—tap it, and BOOM, the light turns on!


---  
<iframe width="560" height="315" src="https://www.youtube.com/embed/xUeTkCffR8Y?si=IgxX1fw7QOikLi6r" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
 
And now... it’s time to **bring these sensors to life!** 


---

## **🧪 Experimentation: From Theory to Hands On Chaos!**

Armed with new knowledge, it was time to roll up my sleeves and start experimenting. 

---

### **🎛️ Experiment 1: Series Circuit on a Breadboard**

=== "Goal"
    Connect multiple LEDs in a series circuit and observe what happens.

=== "What I Did"
    * Plugged in LEDs, resistors, and jumper wires into the breadboard.
    * Powered it using Arduino and uploaded a simple blink code.
    * Coded it Blink Code and uploaded it.



---

=== "Arduino Blink Code"

     This is a simple Arduino code for blinking an LED.
           
    ```cpp
     // Pin where the LED is connected
     int ledPin = 13;  // Pin 13 is often built-in on many Arduino boards

     // Setup function runs once when you power up or reset the board
     void setup() {
        // Initialize the digital pin as an output
        pinMode(ledPin, OUTPUT);
     }

     // Main loop runs repeatedly
     void loop() {
     digitalWrite(ledPin, HIGH);   // Turn the LED on
     delay(1000);                   // Wait for one second (1000 milliseconds)
     digitalWrite(ledPin, LOW);    // Turn the LED off
     delay(1000);                   // Wait for one second
     }
 
    ```

=== "Explanation"

     - pinMode(ledPin, OUTPUT): Sets the LED pin as an output so the Arduino can control it.
     - digitalWrite(ledPin, HIGH): Turns the LED on (HIGH voltage).
     - digitalWrite(ledPin, LOW): Turns the LED off (LOW voltage).
     - delay(1000): Pauses the program for 1 second (1000 milliseconds), making the LED blink every second. this too

!!! Success "Observations"
    - The LEDs weren’t very bright.
    - If one LED was removed, the whole circuit stopped working. Just like those frustrating Christmas lights where one broken bulb ruins the whole string. 😩

---

### **🔀 Experiment 2: Parallel Circuit on a Breadboard**

=== "Goal"
    Rewire everything into a parallel circuit and compare the brightness and reliability.

=== "What I Did"
    * Rewired the setup into a parallel circuit.
    * Powered it using Arduino.
    * Coded it Blink Code and uploaded it.



??? success "Coclusion"
     - The LEDs were way brighter!
     - If one LED was removed, the rest kept glowing. Parallel circuits for the win! ✨


---

### **🧵 Experiment 3: Fabric Circuit (My First Stitched Circuit!)**

=== "Goal"
    Move from breadboard to fabric—create a stitched circuit.

=== "What I Did"
    * Sewed a triangle-shaped circuit onto fabric.
    * Replaced jumper wires with conductive thread.
    * Attached LEDs and resistors carefully to the fabric.


!!! Success "Observations"
     - Conductive thread is a bit tricky—loose stitches lead to broken connections.
     - Some accidental short circuits happened (oops!), but once I fixed them, the LEDs blinked beautifully! 🌟

??? tip "**Tip**"
     Sewing circuits can be a little messy, so take your time to ensure no loose threads or accidental connections!

---



and by the end of the week, I had created my very own **interactive dragon scale textile**. Trust me, it was a **challenging journey**, but totally worth it!

## **Final Concept** 

By the end of the week, I had brought **a dragon scale to life** literally! 🐉✨  

This wasn’t just any textile. It **lit up, reacted to touch, and looked like it belonged to some mythical creature** straight out of a fantasy novel. Getting there? Oh, it was a rollercoaster. But trust me, **totally worth it!**  

### 🐉 **The Spark of an Idea**  
I’ve always been fascinated by **modular designs** the idea of **layers, textures, and movement** in textiles. But what if fabric could do more than just sit there? What if it **responded**, like **real dragon scales shifting with a touch?** That’s where my **e-textile adventure** began.  

A huge inspiration came from [KOBAKANT DIY Wearable Technology](https://www.kobakant.at/DIY/?p=6135), a goldmine of **crazy cool experiments with interactive textiles**. Seeing what’s possible with **electronics and fabric**, I knew I had to dive in.  

### ⚡ **Gearing Up**  

!!! tools "Tools"

   Before jumping into magic making, I had to gather my wizardry tools:  
     - 🧠 **[Adafruit Microcontroller Classic Playground](https://www.adafruit.com/product/3000)** – The brain behind everything!  
     - 🌟 **[LEDs](https://www.sparkfun.com/categories/104)** – Because what’s an interactive textile without a little glow-up?  
     - 🪡 **[Conductive Thread](https://www.adafruit.com/product/641)** – Literally the veins of my textile, connecting power and data.  
     - 🔋 **[Battery & Resistors](https://www.electronics-tutorials.ws/resistor/res_1.html)** – To keep things running smoothly.  
     - 🔌 **[Jumper Wires & a Breadboard](https://www.sparkfun.com/products/12002)** – My trusty sidekicks for prototyping.  
     - 🔥 **[Laser Cutter](https://www.epiloglaser.com/laser-machines/)** – Because cutting by hand? Nope, not today.  
     - 🖥️ **[Arduino IDE](https://www.arduino.cc/en/software)** – Where all the magic happens in code.  
	 





??? tools "Materials"
    1. [**Eeonyx Non-Woven Resistive Fabric**](https://www.eeonyx.com/) – Used to create the resistive components in the e-textile, for the analog sensor controlling LED brightness.
    2. [**Copper Sheets**](https://www.amazon.com/s?k=copper+sheets) – Used for creating conductive paths and connections in the e-textile circuit.
    3. [**Conductive Thread**](https://www.amazon.com/s?k=conductive+thread) Sewn into the fabric as the veins of the textile, connecting electricity and data throughout the design.



### ✨ **Building the Prototype: Sparks, Wires & Aha! Moments**  
I started with a **basic circuit** just **LEDs, a battery,jumper wires**, **copper sheet and Eoneyx fabric** hooked up to the **microcontroller**. A quick test (and a few debugging headaches later), **the first LED blinked**. Success! 💡  

Then came the real challenge: **how do I make the fabric respond to touch?**  

I experimented with **digital and analog sensors**:  
- **Digital sensors** were like a simple light switch either **on or off**.  
- **Analog sensors** had a bit more personality. They reacted to **pressure** **the harder you press, the brighter the LEDs glow.**  

The result? **A fabric that actually reacts when you Bend it!**  

### 🎭 **Bringing the Dragon to Life – Layer by Layer**  
Think of it like **dressing up the dragon scales**:  

1️⃣ **Bottom Layer** – The **circuit brain**. This held all the **LEDs**, carefully wired so that even if one failed, the rest still worked. Smart, right? 😏  


2️⃣ **Top Layer** – **Laser-cut Eeonyx fabric** designed to look like **actual scales**. This layer wasn’t just for looks—it acted as the **touch sensor**!  

Once the layers were stitched together (with a bit of conductive thread magic), it was time to put everything to the test.  

🔥 **Laser Cutting & Design Magic**  

**Laser Cutter Settings**

Laser Cutting Settings for Eeonyx Fabric

| **Setting**      | **Value**                           |
|------------------|-------------------------------------|
| Material Type    | Eeonyx (non-woven resistive fabric) |
| Cutting Mode     | Vector Cutting                     |
| Laser Power      | 40-50%                              |
| Speed            | 20-30 mm/s                          |
| Frequency        | 500-1000 Hz                         |
| Focus            | Above the surface of the fabric    |
| Passes           | One pass                            |
| Air Assist       | Yes                                 |
| Masking Tape     | Optional                            |
| Cutting Order    | Cut in sections                    |

---

Laser Cutting Settings for Copper Sheets

| **Setting**      | **Value**                           |
|------------------|-------------------------------------|
| Material Type    | Copper Sheet (0.2mm-1mm thickness) |
| Cutting Mode     | Vector Cutting                     |
| Laser Power      | 70-80%                              |
| Speed            | 3-5 mm/s                            |
| Frequency        | 500-1000 Hz                         |
| Focus            | Top surface of the copper sheet    |
| Passes           | 2-3 passes                         |
| Air Assist       | Yes                                 |
| Ventilation      | Ensure good ventilation            |


### 🛠️ **The Final Test: Does It Actually Work?!**  
With everything stitched, wired, and coded—it was **moment of truth** time.  

👆 I touched the fabric... **BOOM! The LEDs reacted.** ✨  

A soft touch? **A faint glow.**  
A firm press? **The lights got brighter!**  

It worked **seamlessly**, and I couldn’t help but feel like a **mad scientist + textile magician** all in one.  

### 🚀 **Final Thoughts: Was It Worth It? 1000% Yes.**  
This journey was a mix of **trial and error, small wins, and a whole lot of patience**. But in the end, I didn’t just make a textile I made a **living, breathing, interactive fabric**.  

And the best part? This is just the beginning. Imagine the possibilities clothing that reacts to movement, textiles that **tell a story**, or even futuristic armor that **shifts and glows**.  

So yeah, **dragons are real now.** And they live in fabric. 😉🔥  


## Fabrication files

[^1]: File: [Dragon Scales Eyonex](../files/week05/dragon%20scales%20conductive%20material.dxf)

