# 6. Computational Couture

## **3D Printing Textiles Adventure!** 

This week was a hell of an adventure! From getting my hands on the nitty gritty of 3D printing to diving deep into Grasshopper’s endless possibilities, it was a rollercoaster of creative highs, tiny setbacks, and satisfying wins. My designs evolved as I played with patterns, materials, and filaments, and honestly, each print felt like a mini experiment. Every time I hit "print," it was like throwing a dice 🎲, wondering what magic (or mess) would come out! 
 
![Result - Design ](../images/week06/jpeg-optimizer_Results.jpg)
---

## **Inspiration & Goals**
This week was all about blending 3D prints with textiles to create flexible, playful patterns. I wanted each design to feel alive, moving, and stretching with the fabric. And, oh, did they! 
![Inspo - Design ](../images/week06/intro%20Parametric%20Pattern.jpg)


[1](https://www.pinterest.com/pin/643240759311680650/) 
[2](https://www.pinterest.com/pin/643240759311680343/)
[3](https://www.pinterest.com/pin/643240759311661984/)
[4](https://www.pinterest.com/pin/643240759311627461/) 
[5](https://www.juliakoerner.com/setae)
[6](https://www.pinterest.com/pin/643240759311627617/)
[7](https://3dshoes.com/news/fashion-3d-printing-targeted-by-stratasys-with-new-textile-3d-printer/?utm_source=pinterest&utm_medium=social)
[8](https://www.pinterest.com/pin/229191068520839082/)
[9](https://jp.pinterest.com/rob1nne/)
  
---

## **3D Printing Overview**

This week, I embarked on an exciting journey into the world of 3D printing, where I discovered the ins and outs of various printers, focusing on the Ultimaker and Prusa machines. Using [FDM 3D printing technology](https://en.wikipedia.org/wiki/Fused_deposition_modeling)
, I learned how these printers operate, their unique features, and the best practices for achieving optimal print quality.


### Ultimaker and Prusa Insights

**[Ultimaker S5](https://ultimaker.com/3d-printers/ultimaker-s5)** is renowned for its reliability and high-quality output, especially with models like the Ultimaker S5. I found its dual extrusion capability and user friendly interface particularly impressive. The range of compatible materials, including specialty filaments, opens up endless creative possibilities for my projects.

On the other hand, **[Prusa Original](https://www.prusa3d.com/category/3d-printers/)**, have garnered a solid reputation for affordability and performance. Their intelligent features, such as filament sensors and power recovery, enhance the printing experience. I also appreciated the strong community support surrounding Prusa, which provides valuable resources for troubleshooting and improvements.
![Inspo - Design ](../images/week06/printers.jpg)

!!! info "3D Printers"
    - **[Ultimaker S5](https://ultimaker.com/3d-printers/ultimaker-s5)**: Great for smooth, steady prints.
    - **[Prusa Original](https://www.prusa3d.com/category/3d-printers/)**: Reliable and oh so durable for those long haul prints.




Each machine has its quirks, so knowing each one’s “personality” helped make the printing journey smoother!

---



## **Step by Step Designs**

I created **6 designs** that each play with texture, flexibility, and movement on fabric. Here’s how each design came to life:

??? info "Softwares"

    - **Design Software**: [Rhino](https://www.rhino3d.com/) & [Grasshopper](https://www.grasshopper3d.com/) (for those beautiful parametric designs!)  
    - **Design Software**: [Fusion 360](https://www.autodesk.com/products/fusion-360/overview)  
    - **Slicer**: [Cura](https://ultimaker.com/software/ultimaker-cura) (to slice those digital dreams into printable layers)  


---


!!! tip "**Workflow: 3D Printing on Fabrics**"

    1. **Preparing the Fabric**
         - Select a fabric suitable for 3D printing (e.g., organza, Lycra, or mesh).  
         - Cut the fabric to the size of the printer bed and ensure it is clean and wrinkle-free.  
         - Secure the fabric onto the printer bed using:
            - **Clips** for the Ultimaker S5.  
            - **Magnets** for the Prusa Original printer.  

     2. **Designing the Pattern**
        - Use **Rhino** or **Grasshopper** for creating parametric patterns.  
        - Finalize your design in STL or OBJ format.  
        - Ensure the design is optimized for 3D printing with minimal overlap to prevent errors.

    3. **Slicing the Design**
          - Open the design in **Cura** or your preferred slicer.  
          - Adjust the following settings:
              - Select the material (e.g., PLA, TPU, or FILLAFLEX).  
              - Set the print speed and temperature suitable for the chosen filament.  
              - Enable a **pause at height** or **pause layer** feature after the first layer to insert the fabric.  
              - Use a brim or raft to improve adhesion.  


    4. **Printing Process**
           - Start printing the first layer.  
           - Once the printer pauses (if set), confirm the fabric's position and tension.  
           - Resume the print to allow the filament to fuse with the fabric.

    5. **Setting Up the Printer**
         - **Ultimaker S5**:
            - Once the printer pauses, Clip the fabric securely to the printer bed, ensuring it is taut.  
            - Double check the alignment to match the print area.  
         - **Prusa**:
            - Once the printer pauses, Place the fabric on the bed and hold it firmly with magnets along the edges.  
            - Ensure the fabric does not move during printing.

    6. **Post Processing**
          - Carefully remove the printed fabric from the bed after cooling.  
          - Trim any excess threads or material for a clean finish.  
          - Inspect the adhesion between the fabric and the filament to ensure quality.



---

### Tree Veins


| Parameter           | Details                |
|---------------------|------------------------|
| Materials           |   -                    |
| Machine             |      PRUSA ORIGINAL                 |
| Print Speed         |     60                   |
| Print Bed Temperature |         80           |
| Time               |         2 Hrs 10 Minutes            |
| Filament Type       |           [PLA 1.75 mm](https://www.matterhackers.com/store/c/PLA-3D-Printing-Filament)         |


- **Design Process:** Using the Anemone plugin in Grasshopper, I experimented with creating a tree vein pattern on a circular shape. After some trial and error, I achieved the desired effect and extruded the design to add depth. This extrusion took some time to perfect, but it was essential to get the effect I wanted for the printed result.

  ![Tree Veins - Design Process](../images/week06/Tree_Grass.jpg){ width=1500 align=middle }



  ![Tree Veins - Design Process](../images/week06/Tree_Grass01.jpg){ width=1500 align=middle }



- **Slicing and Preparation:** For slicing, I chose the Prusa because it seemed perfect for this design (and I seriously fell in love with this machine!). In Cura, I selected settings that didn’t require a brim and ensured my material type was set correctly. I added a pause code after the second layer, allowing me to insert my mesh with magnets. Then, I fine tuned the print speed and bed temperature for optimal results.  

  ![Tree Veins - Slicing Preparation](../images/week06/Tree_Cura.jpg){ width=1500 align=middle }

| **Setting**                     | **Value**                              |
|----------------------------------|----------------------------------------|
| **Printer Model**                | Prusa i3 MK3S (or your specific model) |
| **Material**                     | PLA                                    |
| **Extruder Temperature**         | 210°C                                  |
| **Heated Bed Temperature**       | 60°C                                   |
| **Layer Height**                 | 0.2mm                                  |
| **Wall Line Count**              | 3                                      |
| **Wall Thickness**               | 1.2mm                                  |
| **Infill Density**               | 20%                                    |
| **Infill Pattern**               | Grid                                   |
| **Print Speed**                  | 50mm/s                                 |
| **Travel Speed**                 | 100mm/s                                |
| **Support Structure**            | None                                   |
| **Build Plate Adhesion**         | None                                   |
| **Retraction Distance**          | 6mm                                    |
| **Retraction Speed**             | 25mm/s                                 |
| **Cooling Fan Speed**            | 100%                                   |
| **Minimum Layer Time**           | 5 seconds                              |
| **Combing Mode**                 | Within Infill                          |
| **Z-hop when Retracted**         | Enabled                                |






- **Machine Printing & Result:**  The print was a success with intricate branching, resembling tree veins beautifully.

  ![Tree Veins - Print Result](../images/week06/Tree_Result.jpg){ width=1500 align=middle }


  ![Tree Veins - Print Result](../images/week06/Tree_Result01.jpg){ width=1500 align=middle }

<div class="sketchfab-embed-wrapper"> <iframe title="Week 06 - Tree Veins Pattern" frameborder="0" allowfullscreen mozallowfullscreen="true" webkitallowfullscreen="true" allow="autoplay; fullscreen; xr-spatial-tracking" xr-spatial-tracking execution-while-out-of-viewport execution-while-not-rendered web-share width="640" height="480" src="https://sketchfab.com/models/5735cfd551bd479683824fd8fde4d6ce/embed"> </iframe> <p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;"> <a href="https://sketchfab.com/3d-models/week-06-tree-veins-pattern-5735cfd551bd479683824fd8fde4d6ce?utm_medium=embed&utm_campaign=share-popup&utm_content=5735cfd551bd479683824fd8fde4d6ce" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;"> Week 06 - Tree Veins Pattern </a> by <a href="https://sketchfab.com/dimahejap?utm_medium=embed&utm_campaign=share-popup&utm_content=5735cfd551bd479683824fd8fde4d6ce" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;"> dimahejap </a> on <a href="https://sketchfab.com?utm_medium=embed&utm_campaign=share-popup&utm_content=5735cfd551bd479683824fd8fde4d6ce" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a></p></div>

**[Fabrication File](https://sketchfab.com/3d-models/week-06-tree-veins-pattern-5735cfd551bd479683824fd8fde4d6ce?utm_medium=embed&utm_campaign=share-popup&utm_content=5735cfd551bd479683824fd8fde4d6ce)**: Download the STL file for Layered Geometry on [Sketchfab](https://sketchfab.com?utm_medium=embed&utm_campaign=share-popup&utm_content=5735cfd551bd479683824fd8fde4d6ce).

---


### Layered Geometry

| Parameter           | Details                |
|---------------------|------------------------|
| Materials           |   Organza                     |
| Machine             |      ULTIMAKER S5                  |
| Print Speed         |     60                   |
| Print Bed Temperature |         80           |
| Time               |         5 Hrs 20 Minutes               |
| Filament Type       |           [PLA 1.75 mm](https://www.matterhackers.com/store/c/PLA-3D-Printing-Filament)         |


- **Design Process:** 
  
  - Generate initial curves as the foundation for the design.
  - Use the **Offset Curve** component to create parallel curves at specified distances.
  - Apply the **Loft** component to connect the offset curves, creating a smooth surface that transitions between layers.
  - Experiment with different offsets to achieve varying thicknesses and shapes.

  ![Layered Geometry - Design Process](../images/week06/Layers_Grass.jpg){ width=1500 align=middle }

  ![Layered Geometry - Design Process](../images/week06/Layers_Grass01.jpg){ width=1500 align=middle }



- **Slicing and Preparation:** 

 -  Choose two types of PLA: white and transparent.
 - Import the model into Cura and configure the slicing settings. Tune print settings to ensure quality, particularly for the first layer. 
 - Integrate a pause code after the first layer to allow for adjustments.
 - Include organza mesh in the design for added texture and flexibility.
 - Add a brim for stability during printing. Ensure to check the distance from the model to avoid potential issues with fabric flexibility. 
 - Print the model using an Ultimaker, carefully monitoring the quality as each layer is printed. Observe how the combination of white and transparent materials interacts under different lighting conditions.
 - Assess the printed model for any issues related to the brim distance or fabric integration. Make necessary adjustments or repairs to improve functionality and aesthetics.

  ![Layered Geometry - Slicing Preparation](../images/week06/Layers_Cura.jpg){ width=1500 align=middle }

| **Setting**                     | **Value**                                |
|----------------------------------|------------------------------------------|
| **Printer Model**                | Ultimaker S5                             |
| **Material**                     | PLA                                      |
| **Extruder Temperature**         | 210°C                                    |
| **Heated Bed Temperature**       | 60°C                                     |
| **Layer Height**                 | 0.2mm (fine resolution for detailed layers) |
| **Wall Line Count**              | 4 (to provide stronger outer layers for intricate patterns) |
| **Wall Thickness**               | 1.6mm                                    |
| **Infill Density**               | 15-20% (lower infill for more flexibility and lighter prints) |
| **Infill Pattern**               | Grid (or Gyroid for added strength in more complex designs) |
| **Print Speed**                  | 40mm/s (slower speed for higher quality details) |
| **Travel Speed**                 | 100mm/s                                  |
| **Support Structure**            | None (no support needed for your design)  |
| **Build Plate Adhesion**         | Brim (to ensure adhesion for larger prints) |
| **Retraction Distance**          | 6mm                                      |
| **Retraction Speed**             | 25mm/s                                   |
| **Cooling Fan Speed**            | 100%                                     |
| **Minimum Layer Time**           | 5 seconds                                |
| **Combing Mode**                 | Within Infill                            |
| **Z-hop when Retracted**         | Enabled (helps prevent stringing and improves layer accuracy) |
| **Outer Layers Speed**           | 30mm/s (slower outer layer speed for smoother surface) |
| **Enable Support Enforcers**    | Disabled (since no support is needed)   |
| **Shells**                       | 2 shells (for more durability and better surface finish) |
| **Brim Width**                   | 6mm (wider brim for better adhesion)     |






- **Machine Printing & Result:** 

  ![Layered Geometry - Print Result](../images/week06/Layer_Result.jpg){ width=1500 align=middle }

  ![Layered Geometry - Print Result](../images/week06/Layer_Result01.jpg){ width=1500 align=middle }

<div class="sketchfab-embed-wrapper"> <iframe title="Week 06 - Layering Pattern" frameborder="0" allowfullscreen mozallowfullscreen="true" webkitallowfullscreen="true" allow="autoplay; fullscreen; xr-spatial-tracking" xr-spatial-tracking execution-while-out-of-viewport execution-while-not-rendered web-share width="640" height="480" src="https://sketchfab.com/models/61da0a9baf9645efb0fcc4dcf96ad376/embed"> </iframe> <p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;"> <a href="https://sketchfab.com/3d-models/week-06-layering-pattern-61da0a9baf9645efb0fcc4dcf96ad376?utm_medium=embed&utm_campaign=share-popup&utm_content=61da0a9baf9645efb0fcc4dcf96ad376" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;"> Week 06 - Layering Pattern </a> by <a href="https://sketchfab.com/dimahejap?utm_medium=embed&utm_campaign=share-popup&utm_content=61da0a9baf9645efb0fcc4dcf96ad376" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;"> dimahejap </a> on <a href="https://sketchfab.com?utm_medium=embed&utm_campaign=share-popup&utm_content=61da0a9baf9645efb0fcc4dcf96ad376" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a></p></div>
 **[Fabrication File](https://sketchfab.com/3d-models/week-06-layering-pattern-61da0a9baf9645efb0fcc4dcf96ad376?utm_medium=embed&utm_campaign=share-popup&utm_content=61da0a9baf9645efb0fcc4dcf96ad376)**: Download the STL file for Layered Geometry on [Sketchfab](https://sketchfab.com?utm_medium=embed&utm_campaign=share-popup&utm_content=61da0a9baf9645efb0fcc4dcf96ad376).

---

### Magnetic Attractors


| Parameter           | Details                |
|---------------------|------------------------|
| Materials           |   Organza                     |
| Machine             |      ULTIMAKER S5                  |
| Print Speed         |     60                   |
| Print Bed Temperature |         80           |
| Time               |         3 Hrs 35 Minutes               |
| Filament Type       |           [PLA 1.75 mm](https://www.matterhackers.com/store/c/PLA-3D-Printing-Filament)         |


- **Design Process:** The design process for the magnetic attractor involved using LunchBox in Grasshopper. I generated a series of geometric patterns that would enhance the attraction and functionality of the final piece. After creating the design, I extruded the shapes to give them depth and prepare them for 3D printing.

  ![Magnetic Attractors - Design Process](../images/week06/Grid_Grass.jpg){ width=1500 align=middle }

  ![Magnetic Attractors - Design Process](../images/week06/blob_Grass01.jpg){ width=1500 align=middle }


- **Slicing and Preparation:** For slicing, I used an Ultimaker S5 with PLA, opting for a dual-color print to create visual contrast and interest. I decided not to add a brim, focusing instead on the integrity of the design and the adhesion of the base layer.


  - 🍓🍦 Two-Color Printing with Ultimaker S5  
    **(a.k.a. Strawberries & Cream in PLA form)**

    For this print, I went all in with **two delicious filaments**—one bright **strawberry red** and the other **classic white**, both PLA. Think dessert vibes but make it fabrication. 😎

---

**So here’s how I got my Ultimaker S5 to play nice with both nozzles like a polite duet instead of a hot mess**

---

🎭 Step 1: Splitting the Stars – STL Style  
I designed the piece in two separate parts—because one STL just wasn’t enough for this drama.  
- One part for the **base** (Team Red 🍓)  
- One part for the **top layer / detail / flavor swirl** (Team White 🍦)  

Exported both as separate STL files like two besties going to the same party in different outfits.

---

 🧙‍♀️ Step 2: Cura Magic – Merge, Assign, Slay  
Imported both parts into **Cura**, and then:

1. Selected both parts  
2. Right-click > **“Merge Models”** – now they’re linked like soulmates  
3. Assigned each one to a **different nozzle**:
   - **Nozzle 1 → Red filament**  
   - **Nozzle 2 → White filament**  

---

 🕺 Step 3: Let the Print Begin – The Dual Nozzle Tango  
Once I hit print, the **Ultimaker S5 got fancy**:
- Swapping nozzles like costume changes 🎭  
- Printing red, then white, then red again—no fights, just flow  
- A **prime tower** was used to keep things clean (because nobody wants a pink-ish mess)

The printer knew **exactly when to switch**, and honestly? The result was *chef’s kiss*. Two colors, one geometry, and a lot of sass.

---


---



  ![Magnetic Attractors - Slicing Preparation](../images/week06/Grid_Cura.jpg){ width=1500 align=middle }


| **Setting**                     | **Value**                                  |
|----------------------------------|--------------------------------------------|
| **Extruder Temperature**         | 210°C                                      |
| **Heated Bed Temperature**       | 80°C                                       |
| **Layer Height**                 | 0.2mm (fine resolution for detailed patterns) |
| **Wall Line Count**              | 3 (sufficient for sturdier outer layers)   |
| **Wall Thickness**               | 1.2mm                                      |
| **Infill Density**               | 20% (balanced strength and material usage) |
| **Infill Pattern**               | Grid (provides even internal support)     |
| **Print Speed**                  | 60mm/s (default for standard quality)      |
| **Travel Speed**                 | 100mm/s                                    |
| **Support Structure**            | None (no support required for this design) |
| **Build Plate Adhesion**         | None (since no brim is needed)             |
| **Retraction Distance**          | 6mm                                        |
| **Retraction Speed**             | 25mm/s                                     |
| **Cooling Fan Speed**            | 100%                                       |
| **Minimum Layer Time**           | 5 seconds                                  |
| **Combing Mode**                 | Within Infill                              |
| **Z-hop when Retracted**         | Enabled (prevents collisions during travel)|
| **Outer Layers Speed**           | 40mm/s (slower outer layer print speed for smooth surface) |
| **Shells**                       | 2 shells (for durability and a smooth finish) |



  
!!! info "Tips & Tricks"

    - **Color Selection**: When working with dual-color prints, choose contrasting colors that enhance the visual appeal and highlight different features of the design.

    - **Material Consideration**: PLA is a great choice for detailed prints, but be aware of its temperature sensitivity if the attractor will be exposed to heat.
    - **Adhesion Techniques**: Ensure the first layer adheres well to the print bed. Consider using a heated bed or adjusting the bed temperature if you experience warping.
    - **Slicing Settings**: Experiment with infill settings to find the right balance between strength and material usage, especially for functional pieces like attractors.
    - **Post Processing**: Sand the edges lightly if needed to enhance the tactile experience and ensure smooth operation of the magnetic mechanism.
    - Always double-check the STL alignment—no floating pieces, unless you’re into chaos  
    - The preview in Cura is your friend. Trust her  
    - Wipe tower = essential if you want your colors to look ✨clean✨  
    - Also… don’t leave the red filament unattended. It’s dramatic.



- **Machine Printing & Result:** 

 
  ![Magnetic Attractors - Print Result](../images/week06/Grid_Result.jpg){ width=1500 align=middle }

  ![Magnetic Attractors - Print Result](../images/week06/Grid_Result01.jpg){ width=1500 align=middle }


<div class="sketchfab-embed-wrapper"> <iframe title="Week 06 - Grid Pattern Attractor" frameborder="0" allowfullscreen mozallowfullscreen="true" webkitallowfullscreen="true" allow="autoplay; fullscreen; xr-spatial-tracking" xr-spatial-tracking execution-while-out-of-viewport execution-while-not-rendered web-share width="640" height="480" src="https://sketchfab.com/models/b3a3fdec69ef4dddad58551b580f8da9/embed"> </iframe> <p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;"> <a href="https://sketchfab.com/3d-models/week-06-grid-pattern-attractor-b3a3fdec69ef4dddad58551b580f8da9?utm_medium=embed&utm_campaign=share-popup&utm_content=b3a3fdec69ef4dddad58551b580f8da9" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;"> Week 06 - Grid Pattern Attractor </a> by <a href="https://sketchfab.com/dimahejap?utm_medium=embed&utm_campaign=share-popup&utm_content=b3a3fdec69ef4dddad58551b580f8da9" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;"> dimahejap </a> on <a href="https://sketchfab.com?utm_medium=embed&utm_campaign=share-popup&utm_content=b3a3fdec69ef4dddad58551b580f8da9" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a></p></div>
**[Fabrication File](https://sketchfab.com/3d-models/week-06-grid-pattern-attractor-b3a3fdec69ef4dddad58551b580f8da9?utm_medium=embed&utm_campaign=share-popup&utm_content=b3a3fdec69ef4dddad58551b580f8da9)**: Download the STL file for Magnetic Attractors on [Sketchfab](https://sketchfab.com/3d-models/week-06-grid-pattern-attractor-b3a3fdec69ef4dddad58551b580f8da9?utm_medium=embed&utm_campaign=share-popup&utm_content=b3a3fdec69ef4dddad58551b580f8da9).

---

### Pipe Grid Pattern 

| Parameter           | Details                |
|---------------------|------------------------|
| Materials           |   Lycra                     |
| Machine             |      PRUSA ORIGINAL                  |
| Print Speed         |     30                   |
| Print Bed Temperature |         80           |
| Time               |         2 Hrs 25 Minutes               |
| Filament Type       |           [PLA 1.75 mm](https://www.matterhackers.com/store/c/PLA-3D-Printing-Filament)         |


- **Design Process:** The design process for the Pipe Grid Pattern involved using Grasshopper to create a pipe effect. I focused on generating a grid structure that showcases the flexibility of the materials used. After establishing the grid design, I adjusted parameters to define the thickness and spacing of the pipes, ensuring the final design was both visually appealing and structurally sound.

  ![Stretchable Flowers - Design Process](../images/week06/Pipe_Grass.jpg){ width=1500 align=middle }

  ![Stretchable Flowers - Design Process](../images/week06/Pipe_Grass01.jpg){ width=1500 align=middle }


- **Slicing and Preparation:** For slicing, I utilized a Prusa machine with Filaflex material and Lycra. The combination of these materials allows for a flexible final product. I included a brim to improve bed adhesion during printing, which is especially important when working with flexible materials. This setup ensured that the prints maintained their integrity throughout the printing process.

  ![Stretchable Flowers - Slicing Preparation](../images/week06/Pipe_Cura.jpg){ width=1500 align=middle }

| **Setting**                     | **Value**                                  |
|----------------------------------|--------------------------------------------|
| **Extruder Temperature**         | 210°C                                      |
| **Heated Bed Temperature**       | 80°C                                       |
| **Layer Height**                 | 0.2mm (ideal for detailed, structured grids) |
| **Wall Line Count**              | 3 (provides a solid outer structure)      |
| **Wall Thickness**               | 1.2mm                                      |
| **Infill Density**               | 20% (balances strength and material usage) |
| **Infill Pattern**               | Grid (matches the design and adds strength)|
| **Print Speed**                  | 30mm/s (slower speed for the detailed grid pattern) |
| **Travel Speed**                 | 80mm/s                                     |
| **Support Structure**            | None (no support required for this design) |
| **Build Plate Adhesion**         | Brim (added for better adhesion to the print bed) |
| **Retraction Distance**          | 6mm                                        |
| **Retraction Speed**             | 25mm/s                                     |
| **Cooling Fan Speed**            | 100% (necessary to maintain consistent print quality) |
| **Minimum Layer Time**           | 5 seconds                                  |
| **Combing Mode**                 | Within Infill                              |
| **Z-hop when Retracted**         | Enabled (prevents collisions during travel)|
| **Outer Layers Speed**           | 40mm/s (slower for clean outer finish)    |
| **Shells**                       | 2 shells (provides durability and smoothness) |



- **Machine Printing & Result:** 
  ![Stretchable Flowers - Print Result](../images/week06/Pipe_Result.jpg){ width=1500 align=middle }

  ![Stretchable Flowers - Print Result](../images/week06/Pipe_Result01.jpg){ width=1500 align=middle }

<div class="sketchfab-embed-wrapper"> <iframe title="Week 06 - Grid Pipe Pattern" frameborder="0" allowfullscreen mozallowfullscreen="true" webkitallowfullscreen="true" allow="autoplay; fullscreen; xr-spatial-tracking" xr-spatial-tracking execution-while-out-of-viewport execution-while-not-rendered web-share width="640" height="480" src="https://sketchfab.com/models/3ab3d73e68454e8eb8e7106ab3ef02d9/embed"> </iframe> <p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;"> <a href="https://sketchfab.com/3d-models/week-06-grid-pipe-pattern-3ab3d73e68454e8eb8e7106ab3ef02d9?utm_medium=embed&utm_campaign=share-popup&utm_content=3ab3d73e68454e8eb8e7106ab3ef02d9" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;"> Week 06 - Grid Pipe Pattern </a> by <a href="https://sketchfab.com/dimahejap?utm_medium=embed&utm_campaign=share-popup&utm_content=3ab3d73e68454e8eb8e7106ab3ef02d9" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;"> dimahejap </a> on <a href="https://sketchfab.com?utm_medium=embed&utm_campaign=share-popup&utm_content=3ab3d73e68454e8eb8e7106ab3ef02d9" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a></p></div>
 **[Fabrication File](https://sketchfab.com/3d-models/week-06-grid-pipe-pattern-3ab3d73e68454e8eb8e7106ab3ef02d9?utm_medium=embed&utm_campaign=share-popup&utm_content=3ab3d73e68454e8eb8e7106ab3ef02d9)**: Download the STL file for Stretchable Flowers on [Sketchfab](https://sketchfab.com/3d-models/week-06-grid-pipe-pattern-3ab3d73e68454e8eb8e7106ab3ef02d9?utm_medium=embed&utm_campaign=share-popup&utm_content=3ab3d73e68454e8eb8e7106ab3ef02d9).

---


### Blob Curves

| Parameter           | Details                |
|---------------------|------------------------|
| Materials           |   Lycra                     |
| Machine             |      PRUSA ORIGINAL                  |
| Print Speed         |     60                   |
| Print Bed Temperature |         80           |
| Time              |         3 Hrs 39 Minutes               |
| Filament Type       |           [PLA 1.75 mm](https://www.matterhackers.com/store/c/PLA-3D-Printing-Filament)         |


- **Design Process:** The design process for the blob curves involved using the Mattemost app, with assistance from Asli, to create the blobs in BBOX on Grasshopper. I started by drawing my curves and then applied a polar array to generate the desired pattern. After completing the design, I duplicated the curves to create a double for the final piece.

  ![Blob Curves - Design Process](../images/week06/blob_Grass.jpg){ width=1500 align=middle }

  ![Blob Curves - Design Process](../images/week06/blob_Grass01.jpg){ width=1500 align=middle }



- **Slicing and Preparation:** I chose the Prusa machine again, utilizing Lycra material and green PLA. The estimated print time was 2.30 hours, but the actual print took 5 hours, likely due to the low print speed set for the job. I also incorporated a pause code for the mesh to allow for adjustments during printing.


  ![Blob Curves - Slicing Preparation](../images/week06/Blob_Cura.jpg){ width=1500 align=middle }

| **Setting**                     | **Value**                                  |
|----------------------------------|--------------------------------------------|
| **Extruder Temperature**         | 210°C                                      |
| **Heated Bed Temperature**       | 80°C                                       |
| **Layer Height**                 | 0.2mm (for clear details and smooth surface)|
| **Wall Line Count**              | 3 (provides structural integrity)         |
| **Wall Thickness**               | 1.2mm                                      |
| **Infill Density**               | 20% (to balance strength and filament usage)|
| **Infill Pattern**               | Grid (provides solid structure)           |
| **Print Speed**                  | 60mm/s (standard print speed for this design) |
| **Travel Speed**                 | 80mm/s                                     |
| **Support Structure**            | None (no support required for the blob curves)|
| **Build Plate Adhesion**         | None (no brim or raft needed)             |
| **Retraction Distance**          | 6mm                                        |
| **Retraction Speed**             | 25mm/s                                     |
| **Cooling Fan Speed**            | 100% (essential for maintaining consistent quality)|
| **Minimum Layer Time**           | 5 seconds                                  |
| **Combing Mode**                 | Within Infill                              |
| **Z-hop when Retracted**         | Enabled (prevents nozzle dragging during travel)|
| **Outer Layers Speed**           | 40mm/s (for smoother outer layer finish)  |
| **Shells**                       | 2 shells (ensures durability and smooth outer surface)|




!!! info "Issues"

    - One of the blobs required cutting the filament with each layer due to excess filament issues. This necessitated careful monitoring and cutting after every layer, which affected the print slightly, but the final result looked great despite the challenges.



- **Machine Printing & Result:** 

  ![Blob Curves - Print Result](../images/week06/Blob_Result.jpg){ width=1500 align=middle }

  ![Blob Curves - Print Result](../images/week06/Blob_Result01.jpg){ width=1500 align=middle }

  <<div class="sketchfab-embed-wrapper"> <iframe title="Week 06 - Mesh Blob Curve Pattern" frameborder="0" allowfullscreen mozallowfullscreen="true" webkitallowfullscreen="true" allow="autoplay; fullscreen; xr-spatial-tracking" xr-spatial-tracking execution-while-out-of-viewport execution-while-not-rendered web-share width="640" height="480" src="https://sketchfab.com/models/4cfc6edc3fe5436498b63ba02ec623ce/embed"> </iframe> <p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;"> <a href="https://sketchfab.com/3d-models/week-06-mesh-blob-curve-pattern-4cfc6edc3fe5436498b63ba02ec623ce?utm_medium=embed&utm_campaign=share-popup&utm_content=4cfc6edc3fe5436498b63ba02ec623ce" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;"> Week 06 - Mesh Blob Curve Pattern </a> by <a href="https://sketchfab.com/dimahejap?utm_medium=embed&utm_campaign=share-popup&utm_content=4cfc6edc3fe5436498b63ba02ec623ce" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;"> dimahejap </a> on <a href="https://sketchfab.com?utm_medium=embed&utm_campaign=share-popup&utm_content=4cfc6edc3fe5436498b63ba02ec623ce" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a></p></div>
 **[Fabrication File](https://sketchfab.com/3d-models/week-06-mesh-blob-curve-pattern-4cfc6edc3fe5436498b63ba02ec623ce?utm_medium=embed&utm_campaign=share-popup&utm_content=4cfc6edc3fe5436498b63ba02ec623ce)**: Download the STL file for Blob-Curves on [Sketchfab](https://sketchfab.com/3d-models/week-06-mesh-blob-curve-pattern-4cfc6edc3fe5436498b63ba02ec623ce?utm_medium=embed&utm_campaign=share-popup&utm_content=4cfc6edc3fe5436498b63ba02ec623ce).


---

### Stretchable Flowers

| Parameter           | Details                |
|---------------------|------------------------|
| Materials           |   Lycra                     |
| Machine             |      PRUSA ORIGINAL                  |
| Print Speed         |     60                   |
| Print Bed Temperature |          0           |
| Time              |         39 Minutes               |
| Filament Type       |           [FILLAFLEX 1.75 mm](https://recreus.com/en/7-filaments)         |


- **Design Process:** I used Fusion 360. I began by drawing my pattern in Illustrator and then exported it as a DXF file. After importing the DXF into Fusion 360, I extruded all the elements to create the final design.

  ![Stretchable Flowers - Design Process](../images/week06/Stretchable_Grass.jpg){ width=1500 align=middle }


- **Slicing and Preparation:** I used Cura and selected the Prusa machine. I also incorporated a pause in the slicing settings. Initially, I attempted several prints on the Ultimaker, but the thin layers kept peeling off. Due to this issue and the need for leveling on the Ultimaker, I decided to switch to the Prusa for more reliable results.

  ![Stretchable Flowers - Slicing Preparation](../images/week06/stretchable_Cura.jpg){ width=1500 align=middle }


| **Setting**                     | **Value**                                  |
|----------------------------------|--------------------------------------------|
| **Extruder Temperature**         | 210°C                                      |
| **Heated Bed Temperature**       | 0°C (no heated bed required for this material)|
| **Layer Height**                 | 0.2mm (fine detail for stretchable design) |
| **Wall Line Count**              | 3 (strong outer walls to maintain shape)   |
| **Wall Thickness**               | 1.2mm                                      |
| **Infill Density**               | 20% (low density for flexibility)         |
| **Infill Pattern**               | Grid (balanced structure and flexibility)  |
| **Print Speed**                  | 60mm/s (standard speed for flexibility)    |
| **Travel Speed**                 | 80mm/s                                     |
| **Support Structure**            | None (no supports required for this design)|
| **Build Plate Adhesion**         | Brim (helps with adhesion to prevent warping)|
| **Retraction Distance**          | 6mm                                        |
| **Retraction Speed**             | 25mm/s                                     |
| **Cooling Fan Speed**            | 100% (important for cooling flexible filament)|
| **Minimum Layer Time**           | 5 seconds                                  |
| **Combing Mode**                 | Within Infill                              |
| **Z-hop when Retracted**         | Enabled (to prevent nozzle collision)     |
| **Outer Layers Speed**           | 40mm/s (slower for smoother outer finish)  |
| **Shells**                       | 2 shells (provides durability and smoothness)|


- **Machine Printing & Result:** 
  ![Stretchable Flowers - Print Result](../images/week06/Stretchable_Result.jpg){ width=1500 align=middle }


  ![Stretchable Flowers - Print Result](../images/week06/Stretchable_Result01.jpg){ width=1500 align=middle }


  <div class="sketchfab-embed-wrapper"> <iframe title="Week 06 - flowers Pattern Stretchable" frameborder="0" allowfullscreen mozallowfullscreen="true" webkitallowfullscreen="true" allow="autoplay; fullscreen; xr-spatial-tracking" xr-spatial-tracking execution-while-out-of-viewport execution-while-not-rendered web-share src="https://sketchfab.com/models/ace08d6e413f473bb4ecccb3a5c00e37/embed"> </iframe> <p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;"> <a href="https://sketchfab.com/3d-models/week-06-flowers-pattern-stretchable-ace08d6e413f473bb4ecccb3a5c00e37?utm_medium=embed&utm_campaign=share-popup&utm_content=ace08d6e413f473bb4ecccb3a5c00e37" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;"> Week 06 - flowers Pattern Stretchable </a> by <a href="https://sketchfab.com/dimahejap?utm_medium=embed&utm_campaign=share-popup&utm_content=ace08d6e413f473bb4ecccb3a5c00e37" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;"> dimahejap </a> on <a href="https://sketchfab.com?utm_medium=embed&utm_campaign=share-popup&utm_content=ace08d6e413f473bb4ecccb3a5c00e37" target="_blank" rel="nofollow" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a></p></div>
 **[Fabrication File](https://sketchfab.com/3d-models/week-06-flowers-pattern-stretchable-ace08d6e413f473bb4ecccb3a5c00e37?utm_medium=embed&utm_campaign=share-popup&utm_content=ace08d6e413f473bb4ecccb3a5c00e37)**: Download the STL file for Stretchable Flowers on [Sketchfab](https://sketchfab.com/3d-models/week-06-flowers-pattern-stretchable-ace08d6e413f473bb4ecccb3a5c00e37?utm_medium=embed&utm_campaign=share-popup&utm_content=ace08d6e413f473bb4ecccb3a5c00e37).


---


**🌸 Stretchable Flowers – Reflection Time**

So, were these floral flops or flexible fabulosity? Honestly… a bit of both. 😅

The shape turned out pretty close to my sketches (*yay me!*) but the stretch? Hmm, let’s just say she’s got commitment issues. The petals were a tad too stiff and didn’t bloom as gracefully as I imagined. Turns out, **TPU thickness + the direction of the cuts = major influencers** in this stretchy soap opera.

What worked? The idea and the layering vibe totally gave flower energy 🌼  
What didn’t? That stiff attitude—it just wasn’t giving *"I’m a flexible queen."*

If I could do it again (and I might), I’d definitely go for a **more radial cut pattern**—something that opens up more naturally, like a morning glory on a sunny day ☀️🌺

Moral of the story: even flowers have bad stretch days.


---

## **Materials & Print Settings**
  - **Filament Types:** I used PLA for the rigid designs and [TPU](https://www.matterhackers.com/store/c/TPU-3D-Printing-Filament)for anything that needed that stretchy, bouncy feel.

  - **Settings:** Speeds varied between 50-80%, and most prints took around 3-5 hours. TPU loves a lower speed for smoother, more flexible results.

---

!!! info "Tips & Tricks"

    - **Stay Close to the Printer:** Watch those first layers like a hawk 🦅 to catch any mishaps early.
    - **Mind Your Filaments:** Changing filament types? Double-check to avoid unexpected “surprises.”
    - **Document Everything:** Snap photos, capture time-lapses, and write down your settings. Future you will thank you! 📸



---

## **Final Thoughts**
This week was a playful journey of pushing textiles into new territory! Seeing digital patterns turn tangible, touchable, and stretchable made me feel like a bit of a textile wizard.

Every print, every pattern, and every experiment added another layer to this project (literally!). It’s a celebration of fabric and filament uniting in a perfectly imperfect dance.







---


### Grasshopper Definitions

- [Grid Magnetic Extrude](../files/Grid%20Maghnetic%20Extrude.gh)
- [Grid Magnetic Pipe](../files/Grid%20Maghnetic%20Pipe%20.gh)
- [Layering Pattern](../files/Layering%20Pattern.gh)
- [Mesh Blob Pattern Curve](../files/Mesh%20Blob%20Pattern%20curve.gh)
- [Tree Veins](../files/Tree%20Viens.gh)

### Cura Ufp - Gcode 

- [Grid Magnetic Extrude](../files/Gcode/Grid%20Maghnetic.ufp)
- [Grid Magnetic Pipe](../files/Gcode/Grid%20Maghnetic%20Pipe%2001%20.ufp)
- [Layering Pattern](../files/Gcode/Layering%20Pattern.ufp)
- [Mesh Blob Pattern Curve](../files/Gcode/Mesh%20Blob%20Curve.gcode)
- [Tree Veins](../files/Gcode/treeviens%20extrude%20thin%20.gcode)
- [flowers Stretchable](../files/Gcode/UMS5_stretchable%20.ufp)

