

# 7. BioFabricating Materials




This week in biomaterials was a total game-changer! We kicked things off with some fun group experiments mixing up recipes like mad scientists and testing what these materials can really do. It was a creative, eco-friendly frenzy! It’s been an eye opener, showing me that sustainable design doesn’t have to be boring.


---


## Nature's Got Your Back in Design


So, imagine if Mother Nature teamed up with a bunch of scientists to create the ultimate solution to plastic and waste voila! Biomaterials. These aren’t your average materials. We're talking about things like starch, agar-agar, kombucha (yes, the drink!), and even cardboard waste. These babies are biodegradable, eco-friendly, and the perfect antidote to the never-ending plastic crisis. No more guilt for using stuff that sits in landfills forever. Biomaterials are here to save the day.


---


- **[The Future of Sustainable Architecture: Biomaterial Construction](https://www.youtube.com/watch?v=H_WajoZAg9E)**  


This video explores the role of biomaterials in sustainable architecture and how they are reshaping the construction industry.


<iframe width="560" height="315" src="https://www.youtube.com/embed/H_WajoZAg9E?si=9wt86ztcMdYj8xRv" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>


---


 
- **[Advanced Biomaterials and Biointerfaces Lab](https://www.youtube.com/watch?v=5wzZEXBGqQg)**  




A deep dive into the latest innovations in biomaterials research and how these materials are being applied to advanced scientific projects.


<iframe width="560" height="315" src="https://www.youtube.com/embed/5ZiPRmCYd8o?si=tO4mwn48OeU-Ch5P" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>




---


 
- **[Innovative Biomaterials in Design: A Shemakes Symposium](https://www.youtube.com/watch?v=7Be2_ZcV09k)**  




A discussion on how biomaterials are being integrated into design, with an emphasis on innovation and sustainability in the field.


<iframe width="560" height="315" src="https://www.youtube.com/embed/7Be2_ZcV09k?si=1L6R6lcGd8Hln-_o" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>




---


### What the Heck Are Biomaterials?
Alright, let’s break it down. Biomaterials are magical substances that come straight from nature's toolbox—plants, algae, or even animal leftovers. And the cool part? They’re totally customizable! You want something as flexible as rubber, tough as plastic, or sleek like leather? With biomaterials, you can have it all. Depending on how you cook them up (yes, there’s a recipe!), you can get materials that behave just like the plastics or rubbers you know, but way more Earth-friendly.


### Why Should We Care About Biomaterials?
Here’s the kicker: the world is drowning in pollution, and we need better alternatives. Biomaterials are here to save us from the plastic apocalypse. Not only are they biodegradable (they break down without leaving any toxic mess), but they’re also compostable! That means no more toxic gunk hanging around for centuries. Industries are already switching gears—biomaterials are being tested as replacements for single-use plastics, and designers like us are sneaking them into furniture, fashion, and even tech. Basically, biomaterials are like the cool kids who know how to keep it green and still look good doing it.


### Why Designers Should Jump on the Biomaterial Train
As designers, biomaterials are like a blank canvas—but with way cooler textures and better karma. They open up a whole new world of creative possibilities and give us a way to design without adding to the planet’s pile of junk. Plus, using them can help support local economies and reduce waste, all while making our work stand out with fresh, eco-friendly vibes.




---


## Group Work: Biomaterials, The Fun Lab Edition!


**Overview of Our Lab Chaos**  
This week, we had a blast experimenting with gelatin and agar agar, diving into how these magical biomaterials can work for real-world projects. We went wild testing everything from flexibility to durability and transparency. Spoiler: We made some cool things but also learned there’s still room for improvement. Let’s dive into the details of our *chaotic* but fun experiments! Our team, made up of [Naim Al-Haj Ali](https://class.textile-academy.org/2025/naim-ali/?utm_source=chatgpt.com), [Omar Otuom](https://class.textile-academy.org/2025/omar-otuom/?utm_source=chatgpt.com), and [Dima Hejap](https://class.textile-academy.org/2025/dima-hejap/?utm_source=chatgpt.com), worked together to experiment and share our findings. Naim, a mechatronics engineer and digital fabrication enthusiast, Omar, a creative fashion designer, and Dima, a passionate visual designer, have been blending different aspects of design and engineering to test these materials.


---


# Tools


!!! example ""


    - [slides](http://class.textile-academy.org)
    - [sources](http://class.textile-academy.org)
    - [pots, jars...](http://class.textile-academy.org)
    - [spoon, tongs, wisk etc](http://class.textile-academy.org)
    - [molds, textiles, textures, etc](http://class.textile-academy.org)


---




#### **Agar Agar Flexible Biofoil**


**Ingredients:**


| _Polymer_      | _Plasticizer_    | _Solvent_     | _Additive_      |        |     |
|-----------------|------------------|---------------|-----------------|--------|-----|
| 5g (agar agar) | 15g (glycerine)  | 250g (water)  | 1g (food coloring) |        |     |






| **Ingredient**            | **Procedure**                                                                 | **Results**                                                                | **Comments**                                                                                              | **Images** |
|---------------------------|-------------------------------------------------------------------------------|----------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------|------------|
| Agar agar powder, glycerine, water | Mix the ingredients in a pot, heat gently, pour into a mold, let set at room temperature or in a dehydrator. | Smooth, flexible, bends easily without cracking, but gets brittle when over-dried. | Great for food wraps but needs to be more resistant to moisture.                                            | ![Agar Flexible Biofoil](link-to-image) |


---


#### **Agar Agar Bioplastic**


**Agar bioplastic** is made from agar-agar, a natural gelatinous substance derived from red algae. It is a vegan alternative to gelatine bioplastic and is known for its strength and translucency


**Materials & Ingredients**


| _Material name_ | _Polymer_      | _Plasticizer_  | _Solvent_   | _Additive_        |
| --------------- | -------------- | -------------- | ----------- | ----------------- |
| bio-Plastic     | Agar 4 g       | Glycerine 12 g | Water 200 g | Food coloring 1 g |








| **Step**                     | **Procedure**                                                                 | **Results**                                                                | **Comments**                                                                                              | **Images** |
|------------------------------|-------------------------------------------------------------------------------|----------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------|------------|
| **1. Heat the Water**         | Measure and heat 200 grams of water to 90°C.                                  | -                                                                          | This helps to dissolve the agar powder efficiently.                                                        | ![Step 1](link-to-image) |
| **2. Add Glycerine**          | Weigh 12 grams of glycerine and add it to the heated water. Stir thoroughly. | -                                                                          | Glycerine acts as a plasticizer, making the bioplastic more flexible.                                        | ![Step 2](link-to-image) |
| **3. Add Agar**              | Weigh 4 grams of Agar and add it to the pot, stirring well.                   | -                                                                          | Agar thickens the solution and contributes to the rigidity of the final product.                            | ![Step 3](link-to-image) |
| **4. Add Food Coloring**     | Weigh 1 gram of food coloring and stir it into the mixture.                   | -                                                                          | Adds color to the bioplastic for a fun, vibrant look!                                                        | ![Step 4](link-to-image) |
| **5. Shape the Material**    | Mold the mixture into the desired shape and let it set.                       | A sturdy, semi-transparent sheet that shrinks during drying.              | Ideal for packaging, but shrinkage must be carefully monitored.                                             | ![Final Bioplastic](link-to-image) |






this the final swatches we did in the lab with different additives
![](../images/week07/22.jpg)
picture taken from my colleague [Ola](https://class.textile-academy.org/2025/ola-muhanna/
)


---


#### **Gelatine BioResin**




**Ingredients:*


| _Polymer_       | _Plasticizer_    | _Solvent_     | _Additive_ |        |     |
|------------------|------------------|---------------|------------|--------|-----|
| 48g (gelatine)  | 8g (glycerine)   | 240g (water)  |            |        |     |








| **Ingredient**            | **Procedure**                                                                 | **Results**                                                                | **Comments**                                                                                              | **Images** |
|---------------------------|-------------------------------------------------------------------------------|----------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------|------------|
| Gelatine, water, glycerine | Dissolve gelatine in warm water, add glycerine, heat gently until fully dissolved, pour into mold or spread thinly to dry. | Glossy, transparent, firm texture, but can be brittle if proportions aren’t right. | Great for decorative coatings, but needs better balance to avoid brittleness.                              | ![Gelatine BioResin](link-to-image) |


---


#### **Gelatine Bioplastic**




**Gelatine bioplastic** is a biodegradable material made from gelatin, a natural protein derived from animal collagen. When combined with glycerin, it forms a flexible, plastic-like sheet that is versatile and eco-friendly
![](../images/week07/01.jpg)










| _Material name_ | _Polymer_      | _Plasticizer_  | _Solvent_   | _Additive_         |
| --------------- | -------------- | -------------- | ----------- | ------------------ |
| bio-Plastic     | Gelatine 48 g  | Glycerine 12 g | Water 240 g | Coffee ground 3 g  |




| **Ingredient**            | **Procedure**                                                                 | **Results**                                                                | **Comments**                                                                                              | **Images** |
|---------------------------|-------------------------------------------------------------------------------|----------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------|------------|
| Gelatine, water, glycerine | Dissolve gelatine in warm water, mix with glycerine, heat until smooth, pour into molds or spread into sheets. | Flexible, easy to work with, and slightly less durable than agar plastic. | Perfect for flexible packaging, but might not last as long as sturdier options.                           | ![Gelatine Bioplastic](link-to-image) |


This is the final material without any additives like colors...
![](../images/week07/coffee.jpg)




![](../images/week07/1.jpg)


![](../images/week07/gelatine%20bioplastic.jpg)


Here is the final result of the swatches after they have dried.


![](../images/week07/final%20swatches.jpg)


<p style="clear: left ;"></p>








---


#### **Gelatine BioSilicone**





| **Ingredient**            | **Procedure**                                                                 | **Results**                                                                | **Comments**                                                                                              | **Images** |
|---------------------------|-------------------------------------------------------------------------------|----------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------|------------|
| Gelatine, glycerine, water | Mix ingredients in specified proportions, heat gently, pour into molds, let set and dry. | Elastic, smooth, silicone-like texture but lacks durability compared to real silicone. | Promising alternatives for soft components or prototypes, needs refinement for better strength.            | ![Gelatine BioSilicone](link-to-image) |


---


### **General Observations:**


| **Aspect**                  | **Agar Agar**                                                    | **Gelatine**                                                      | **Comments**                                                                                              |
|-----------------------------|------------------------------------------------------------------|------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------|
| **Flexibility**              | Less flexible, more rigid                                        | More flexible but can be brittle                                  | Agar agar works best for packaging, while gelatine is better for applications requiring flexibility.      |
| **Moisture Sensitivity**     | More sensitive to moisture                                       | Less sensitive but can break easily                               | Agar agar needs protection from moisture, while gelatine can be more forgiving if handled properly.       |
| **Shrinkage**                | Shrinks more during drying                                       | Shrinks but seems to have more flexibility in the drying process   | Both materials shrink, but gelatine appears to handle it better without losing its form too quickly.       |
| **Plasticizer Role**         | Glycerine helps in creating a firmer texture, but too much makes it too soft | Glycerine makes the material more bendable but can make it squishy if overused | Glycerine is crucial for flexibility, but balance is key for the ideal texture and strength.                |






---








### Alginate Threads


**Alginate** is made by combining sodium alginate, water, glycerine and a curing agent: Calcium chloride.


**Ingredients**


| _Alginate_ | _Glycerin_ | _Water_ | _Sodium chloride_ |  |  |
| -------------- | --------------- | --------- | ------------ | -------- | - |
| 12g | 40g |    400ml | 10g (dissolved in 100ml water as a curing solution) |


---


**Alginate Bio-material Process**


| **Step**                      | **Procedure**                                                                 | **Details**                                                                | **Comments**                                                                                              | **Images** |
|-------------------------------|-------------------------------------------------------------------------------|----------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------|------------|
| **1. Mix the Ingredients**     | Pour 400ml of water into a blender, then add glycerin. Gradually add alginate powder to prevent clumping. Blend until smooth and uniform. Add food coloring for a vibrant look. | This creates a smooth, uniform alginate mixture. | The glycerin helps with flexibility, and the food coloring adds a fun touch! | ![Step 1](link-to-image) |
| **2. Refrigerate Overnight**   | Transfer the mixture into a container and refrigerate overnight. | This allows air bubbles to rise and disappear, ensuring a strong, bubble-free bio-sheet. | Refrigeration is key to eliminating air bubbles that could create weak spots. | ![Step 2](link-to-image) |
| **3. Sodium Chloride Curing Solution** | Dissolve 10g of sodium chloride in 100ml of water and stir well. This solution helps cure the alginate material. | Essential for setting the alginate and allowing it to solidify. | Be sure to mix well to ensure even curing throughout the material. | ![Step 3](link-to-image) |
| **4. Shrinking During Drying** | Alginate materials shrink as they dry. | Expect the material to contract and become more compact as it dries. | It's important to consider the shrinkage when planning the final size and shape. | ![Shrinkage](link-to-image) |








<div style="padding:56.25% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/1032021563?badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture; clipboard-write" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="alginate threads"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>




<iframe src="https://player.vimeo.com/video/1047932321?title=0&amp;byline=0&amp;portrait=0&amp;badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=58479" width="1080" height="1920" frameborder="0" allow="autoplay; fullscreen; picture-in-picture; clipboard-write; encrypted-media" title="2024_10_30_16_43_IMG_7225"></iframe>


![](../images/week07/shrink.jpg)








## KAOMBUCHA


**Bacteria Cellulose** known as SCOBY (Symbiotic Culture of Bacteria and Yeast) leather, is created by fermenting tea with a symbiotic culture. This process produces a cellulose-based material that is flexible, strong, and completely biodegradable


 


### Ingredients  
| **Ingredient**     | **Amount**               | **Notes**                                   |  
|---------------------|--------------------------|---------------------------------------------|  
| Water              | 1 L                      |                                             |  
| Tea                | 1.5–3 g                 | Use a mix of green and red tea for color.   |  
| Sugar              | 100 g                    | Fully dissolved in brewed tea.             |  
| Vinegar            | 0–100 ml                 | Adjust based on pH (ideal range: 3–4).     |  
| SCOBY Mother       | About 8 cm in diameter   | Ensure it’s healthy and active.            |  
| SCOBY Solution     | A splash                 | Helps kick-start fermentation.             |  


![](../images/week07/k1.jpg)


---


Kombucha Fabric Creation Process


| **Step**                      | **Procedure**                                                                 | **Details**                                                                | **Comments**                                                                                              | **Images** |
|-------------------------------|-------------------------------------------------------------------------------|----------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------|------------|
| **1. Brew the Tea**            | Boil 1 liter of water. Add **1.5–3 grams of tea** (depending on color intensity). Let steep for 10–15 minutes. Remove tea leaves or bags. Stir in **100 grams of sugar** until dissolved. Optional: Filter the tea. | Creates a sweetened tea base for fermentation. | Important to monitor tea strength for desired color outcome. Optional filtering helps with smoother texture. | ![Brew Tea](link-to-image) |
| **2. Adjust the pH**           | Gradually add vinegar while monitoring pH. Stop when pH reaches **3 to 4**. | Ensures an acidic environment for fermentation and prevents mold. | Critical to maintain correct pH for optimal bacterial growth. | ![Adjust pH](link-to-image) |
| **3. Cool the Mixture**        | Allow the tea to cool to lukewarm temperature before proceeding. | Prevents damage to the SCOBY from hot tea. | Let the tea cool down to around 25°C–30°C (77°F–86°F) for best results. | ![Cool Tea](link-to-image) |
| **4. Add SCOBY and Start Fermentation** | Gently place the SCOBY into the cooled tea. Add a splash of SCOBY solution to boost fermentation. Cover with a clean cloth and secure with a rubber band. | SCOBY is added to initiate the fermentation process. | The SCOBY kick-starts the fermentation, leading to cellulose formation. | ![Add SCOBY](link-to-image) |
| **5. Fermentation Process**    | Store in a warm, dark place (25°C–30°C or 77°F–86°F). After about a week, layers of cellulose will form. Allow to ferment until the sheet reaches the desired thickness. | Fermentation process for kombucha fabric creation. | The fermentation continues until desired thickness of the cellulose is reached. | ![Fermentation](link-to-image) |

<div style="padding:100% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/1049360265?h=b45e0dca21&amp;badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture; clipboard-write; encrypted-media" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="Kamboucha making"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>






![](../images/week07/k2.jpg)
 


![](../images/week07/k3.jpg)
![](../images/week07/k4.jpg)




![](../images/week07/k5.jpg)




---


## Tips for Success  


| **Step**             | **Tip**                                                              |  
|-----------------------|---------------------------------------------------------------------|  
| pH Adjustment         | Use a pH meter or strips for accuracy.                              |  
| Temperature Control   | Keep the fermentation environment warm to speed up the process.     |  
| Avoid Contamination   | Ensure all tools and containers are clean to prevent mold growth.   |  


---





