# 8. Soft robotics
# **Soft Robotics: A Squishy Adventure!** 

Welcome to the squishy, stretchy, and mind blowingly creative world of **soft robotics**! This week, I transformed into a mad scientist (well, a soft one) and dove headfirst into inflatables, silicones, and molds that mimic nature's genius. Let’s explore how I designed, experimented, and brought some very squishable ideas to life.  

---

## **Research & Inspiration: Filling My Brain Before Filling Air Paths** 🌬️  

Before I got my hands messy with silicone, I binged on videos like it was Netflix for nerds:  

 **Soft Robotics 101**
 
 <iframe width="560" height="315" src="https://www.youtube.com/embed/iwQRYzLZvGE?si=4SHLm6l2KwuVBPj6" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>


 **The Science Behind Inflatables**
 
 <iframe width="560" height="315" src="https://www.youtube.com/embed/nG6KZbwA8xQ?si=YW0UnbTX8v7bOF0Q" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>  
  


---

## **The Sticky Experiment** 🧪  

### **The Plan**  
Rawan and I thought we’d ace silicone casting using an **acrylic mold** lying around in the lab. Spoiler alert: It was more like a sticky mess than a soft robot masterpiece, but we had a blast experimenting!  

I used [Ecoflex 00-50 silicone](https://www.kaupo.de/shop/en/SILICONE-RUBBER-Platinum-Cure/ECOFLEX-SERIES/Ecoflex-00-50/ECO-FLEX-0050-1-Silicone-Rubber.html) for this project, with each pattern requiring specific ratios of Part A and Part B for consistent curing.

![](../images/week08/1.png)

### **The Recipe** 🥄  
| Material         | Quantity       | Notes                        |  
|-------------------|----------------|------------------------------|  
| [Ecoflex 00-50 silicone](https://www.kaupo.de/shop/en/SILICONE-RUBBER-Platinum-Cure/ECOFLEX-SERIES/Ecoflex-00-50/ECO-FLEX-0050-1-Silicone-Rubber.html)     | 30g A + 30g B  | Silky and squishy silicone!  |  
| Pigment           | A “bit” (oops) | Let’s make it colorful… maybe TOO colorful. |  

### **Steps to (Not Quite) Success**  
1. **Mixing Magic**:  
      - Measured 30g of Part A and 30g of Part B.  
      - Added pigment because why not make it cute and colorful? 🌈  
2. **Into the Mold**:  
      - Poured the mixture into an acrylic mold and let it cure for 4 hours.  
3. **Double Trouble**:  
      - Glued the layers and left them for another 4 hours.  
4. **Uh Oh Moment**:  
      - When we tried to grab the final piece, it stuck to everything except itself. Lesson learned: Too much pigment = no bonding.  

![](../images/week08/2.png)
---

## **Time to Shine: My Swatches**  

After learning from the sticky situation, I decided to design my own swatches carefully planned, stylishly executed, and way more successful.  



### **Swatch 1: The Diamond Delight 💎**  
**Inspiration**: Sharp, geometric, and balanced, like me on a good day! The diamond’s air paths were crafted to ensure it inflates smoothly and evenly.  

#### **Designing the Diamond**  
- **Sketch It**: Started in **Illustrator** to nail down the frame, base, and air paths.  
- **Prepare in Rhino**: Exported to Rhino for precise laser cutting files.  
- **Layer Logic**:  
     - **Base**: Slightly larger for structure.  
     - **Frame**: Holds the air channels.  
     - **Cover**: A top piece with an air input opening.  

#### **Laser Cutting Settings** 🛠️  
| **Parameter**   | **Value**        |  
|------------------|------------------|  
| Material         | 3mm Acrylic      |  
| Power            | 50%             |  
| Speed            | 20 mm/s         |  

![](../images/week08/3.png)


#### **Fabrication Process**  
1. **Cut, Baby, Cut!** Used the laser cutter to create the mold parts.  
2. **Mix & Pour**: 40g each of Ecoflex Part A and Part B.  
3. **Cure & Admire**: Let the silicone cure for 4 hours before popping it out.  

#### **Outcome**  
![](../images/week08/5.png)


It inflated like a charm! The air paths worked perfectly, and the diamond swatch was sturdy yet squishy.  

---

### **Swatch 2: The Blooming Beauty 🌸**  
**Inspiration**: My **favicon**, but make it soft! A floral design with a blooming effect when inflated.  

#### **Designing the Flower**  
- Organic petals with curved air channels for a *gentle inflation moment*.  
- Balanced paths to make all petals inflate at the same time.  

#### **Fabrication Process**  
1. **Cut the Mold**: Same acrylic setup as the diamond.  
2. **Mix & Pour**: 40g each of Part A and B Ecoflex.  
3. **Cure & Love**: Gave it 4 hours to set, and it turned out *beautiful*!  

#### **Outcome**  
This swatch was my favorite! It inflated smoothly, and the flower petals puffed up like a soft, squishy dream.  


??? "**Pro Tips for Squishy Success** 🧠"

    1. **Don’t Overdo Pigment**: A little goes a long way too much ruins bonding.  
    2. **Air Paths Matter**: Smooth, even channels are key to inflation magic.  
    3. **Pressure Testing**: Test inflatables gently to avoid an *explosive* situation.  
---

**Tools of the Trade** 🛠️


| **Tool**             | **Purpose**                              |  
|-----------------------|------------------------------------------|  
| Ecoflex 00-50         | For soft and flexible silicone pieces.   |  
| Laser Cutter          | To cut precise acrylic molds.            |  
| Mixing Cups           | For accurate silicone measurements.      |  
| Spatulas              | Because clean mixing = great results!    |  
| Heat Press            | When playing with vinyl for inflatables. |  

---



!!! tip "**Lessons Learned** 🧠"

    1. **Pigment Precision**: Too much pigment can interfere with the bonding process of silicone. Less is more when adding color.
    2. **Mold Material**: The choice of mold matters. Acrylic works well for creating detailed structures but can create challenges when handling silicone.
    3. **Air Path Design**: Smooth, consistent air channels are crucial for controlled inflation. Inconsistent air paths lead to uneven inflation.
    4. **Curing Time**: Give silicone ample time to cure. Rushing the process may lead to tacky or incomplete results.

---  

Let’s keep inflating ideas and deflating doubts! 😄


### **Swatch 3 : Vinyl Sheet Inflatables: Inflating Creativity!** 🎈✨

This experiment was all about bringing design to life—literally using **vinyl sheets** and a **heat press**! I made two super fun inflatable designs: one inspired by **diamond shapes** 💎, and the other by **flowers** 🌸. These designs were meant to be not just cool but also creative, flexible, and full of character.

#### **Designing the Swatches**:

1. **Diamond Shaped Swatch** 💎:
   - I took the classic beauty of **diamond shapes** and turned them into an inflatable! The design was sleek and geometric, with perfectly placed air paths that would inflate like a mini sparkling gem when the air gets pumped in.

![](../images/week08/6.png)

2. **Flower Pattern Swatch** 🌸:
   - The second design? A repeating flower pattern! I wanted it to feel like a blooming garden inside the inflatable. Think of it as a garden party for your air pump. The flowers repeat like a delightful pattern, creating a soft, organic feel.

![](../images/week08/6.png)

#### **Laser Cutting the Butter Paper**:

Before bringing the vinyl sheets together, I needed some **butter paper** to define where the air should go. I laser cut the butter paper with the two pattern diamond and flower ensuring precise air channels to make sure they inflate properly.

**Laser Cutting Settings for Butter Paper**

| **Material**   | **Power** | **Speed**  | **Frequency** |
|----------------|-----------|------------|---------------|
| Butter Paper   | 20%       | 50 mm/s    | 1000 Hz       |


#### **Heat Press: Sandwich Time!** 🥪

Once the designs were all set, I sandwiched the **butter paper pattern** between **two layers of vinyl sheets**. Time for the magic to happen!

**Heat Press Settings**

| **Parameter** | **Value**         | **Note**                           |
|---------------|-------------------|------------------------------------|
| Temperature   | 180°C             | Getting warm for that perfect bond!|
| Time          | 120 seconds       | Just enough to seal the deal       |
 

The heat press fused the two layers of vinyl together, with the butter paper acting like the secret agent defining the air channels while keeping the layers perfectly joined.


!!! tip "**Lessons Learned** 🧠"

    1. **Pigment Precision**: Too much pigment can interfere with the bonding process of silicone. Less is more when adding color.
    2. **Mold Material**: The choice of mold matters. Acrylic works well for creating detailed structures but can create challenges when handling silicone.
    3. **Air Path Design**: Smooth, consistent air channels are crucial for controlled inflation. Inconsistent air paths lead to uneven inflation.
    4. **Curing Time**: Give silicone ample time to cure. Rushing the process may lead to tacky or incomplete results.
    
#### **Inflation Party! 🎉** 

##### Diamond Shaped Swatch ✨

With the air pump in action, the diamond shaped swatch puffed up like a sparkling little jewel, creating a dazzling effect

![Diamond Shaped Swatch](path/to/diamond-swatch-image.jpg)


<div class="slideshow-container">
  <div class="mySlides fade">
    <img src="path/to/diamond-swatch-image.jpg" style="width:100%">
  </div>

  <div class="mySlides fade">
    <img src="path/to/flower-pattern-image.jpg" style="width:100%">
  </div>

  <!-- Add more images here -->

  <a class="prev" onclick="plusSlides(-1)">&#10094;</a>
  <a class="next" onclick="plusSlides(1)">&#10095;</a>
</div>

<style>
  * {box-sizing: border-box;}
  .slideshow-container {position: relative; max-width: 100%; }
  .mySlides {display: none;}
  img {width: 100%; height: auto;}
  .prev, .next {cursor: pointer; position: absolute; top: 50%; padding: 16px; color: white; font-weight: bold; font-size: 18px; transition: 0.3s;}
  .prev {left: 0;}
  .next {right: 0;}
  .prev:hover, .next:hover {background-color: rgba(0, 0, 0, 0.8);}
</style>

<script>
  let slideIndex = 0;

  function showSlides() {
    let slides = document.getElementsByClassName("mySlides");
    for (let i = 0; i < slides.length; i++) {
      slides[i].style.display = "none";  
    }
    slideIndex++;
    if (slideIndex > slides.length) {slideIndex = 1}    
    slides[slideIndex-1].style.display = "block";  
    setTimeout(showSlides, 2000); // Change image every 2 seconds
  }

  showSlides();
  
  function plusSlides(n) {
    showSlides(slideIndex += n);
  }
</script>

---

###### Flower Pattern 🌸

The flower pattern bloomed into a soft, rounded shape, almost like it was alive. It expanded gently, taking on a soft, organic feel that added depth and beauty to the design.

![Flower Pattern](path/to/flower-pattern-image.jpg)


---


This whole process was about **design, playfulness**, and a touch of creativity making those patterns come to life with air was like adding a new dimension to design!


---

!!! tools "**Errors Made** ⚠️"

    -  **Sticky Situation with Too Much Pigment**: Adding too much pigment caused the silicone to not bond properly, leading to a mess that didn't hold its shape.
    -  **Inconsistent Air Channels**: Some of the air paths were not smooth enough, which caused uneven inflation or malfunctioning air pockets in the inflatable swatches.
    - **Mold Sticking**: The silicone sometimes stuck to surfaces other than the mold, creating issues during removal. Proper mold release agents might help with this.
    - **Curing Time Issue**: In one of the tests, we didn’t let the silicone fully cure before handling, which led to the shape distorting under pressure.

---




## **Wrapping It Up 🎁**  

This week was full of sticky fingers, popping inflatables, and “aha” moments! The journey taught me to think critically about **air path design** and balance creativity with functionality. Whether it was the geometric precision of the diamond or the blooming elegance of the flower, each experiment brought me closer to mastering soft robotics.  

Now, excuse me while I squish my creations one last time.  



## Fabrication files

[^1]: File: [Acrlicys Laser Cut Illustratuor ](../files/week08/Inflateables%20-%20laser%20cut%20ready.ai)
[^2]: File: [Acrlicys Laser Cut DXF](../files/week08/Inflateables%20-%20laser%20cut%20ready.dxf)
[^3]: File: [Paper Vinyl Laser Cut DXF](../files/week08/Inflateables%20-%20paper%20Vinyl%20.dxf)
