# 10. Textile Scaffold


## Introduction 🏗️✨  

This week, I delved into **Textile Scaffolds**, exploring how **textiles and solidification techniques** can create innovative composites for applications in architecture, fashion, and beyond. The academy emphasizes the endless possibilities, from **textile-based formworks** to **reinforced composites**.  

But the real adventure? 👉 The **[CNC Machine](https://youtu.be/Kqa8farArds?si=nxWhfHk4LH_T8rIA)** a loud, intimidating beast capable of **cutting and carving** with precision, unlocking new design opportunities.  

I also experimented with **Alum & Salt crystallization**, growing shimmering crystals on fabrics, threads, and leaves, blending **science and magic** for unique materials. Let’s dive in! 🎢🔥


---

## 🔬 Research & Inspiration  
Before jumping in, I explored different **technical textile applications**, CNC techniques, and crystallization experiments.  

### Textile Scaffold Applications

- **[Composites](https://class.textile-academy.org/classes/2024-25/week10/)**: Textiles reinforced with resins to create strong yet flexible materials.

- **[Fabric Formwork](https://adk.elsevierpure.com/files/62084295/Manelius_Afhandling_og_Data.pdf)**: Using textiles to shape and mold concrete or plaster.

- **[Crystallization](https://class.textile-academy.org/classes/2024-25/week10/)**: Growing structures onto fabric and fibers.
- **Crystallizing Fabrics with Alum** 

<iframe width="560" height="315" src="https://www.youtube.com/embed/ojpCexbhxdU?si=MOyCllW78CBmOy4u" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>

<iframe width="560" height="315" src="https://www.youtube.com/embed/jzRyL3oZnro?si=Urati743BYGje4ir" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>


- **[Wood + Textile Composite](https://class.textile-academy.org/classes/2024-25/week10/)**: Combining flexible wood and textiles for lightweight structures.

- **CNC Machining Explained** 

<iframe width="560" height="315" src="https://www.youtube.com/embed/NWDrWbCbI3s?si=pBcX_GfkcVP5GhdP" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>



---

## ✨ Crystallization Experiments  


Crystallization is all about **creating saturated solutions**, dipping materials, and **waiting** for the magic to happen. But—spoiler alert—sometimes, **it doesn’t work on the first try!**  

### 🔹 Materials Used  

| Material            | Description                                      |
|---------------------|--------------------------------------------------|
| **Alum Powder**      | A chemical compound used to grow crystals.       |
| **Salt (Sodium Chloride)** | Used in crystallization to form salt crystals. |
| **Water**            | Heated for better solubility of substances.      |
| **Organic Materials** | Leaves, feathers, and threads for crystallization. |


### 🧪 Recipes & Process  

=== "Alum Crystallization"  
    1. Heat **1 cup of water** (DO NOT BOIL!).  
    2. Slowly add **Alum powder** until no more dissolves (saturation point).  
    3. **Filter** the solution to remove impurities.  
    4. **Dip materials** (threads, feathers, or fabric) and let them soak.  
    5. Place in a **quiet location** and wait **4+ days**.  
    6. If nothing happens, **reheat the solution, add more alum**, and try again!  

=== "Salt Crystallization"  
    1. Heat **1 cup of water**.  
    2. Stir in **salt** until no more dissolves.  
    3. **Filter** and pour into jars or cups.  
    4. Dip the materials and let them rest **undisturbed**.  
    5. **Spray water** occasionally to keep them moist.  
    6. Crystals should form after a few days!  

![](../images/week10/2.png)




### ✨ Result Crystallization  
✅ Successfully crystallized **leaves, threads, and feathers**!  
✅ Learned how to **adjust solubility** and improve crystal growth.  
✅ Threads could be **woven into fabric designs** for **fashion or accessories.**  

---

**ALUM**
![](../images/week10/3.png)
![](../images/week10/7.png)
![](../images/week10/8.png)
![](../images/week10/5.png)

--- 
 
**SALT**
![](../images/week10/6.png)
![](../images/week10/4.png)

---

## **🏗️ CNC Machining: The Beast Awakens**  


### 🌀 Once Upon a CNC Dream...
Picture this: a room humming with the electric energy of creation, the smell of freshly milled wood in the air, and in the corner stands **[ShopBot](https://www.shopbottools.com/)**, the Beyoncé of CNC machines. It’s powerful, precise, and ready to carve your dreams (or at least your files) into reality. This week, I got to choreograph my first dance with this diva of the digital workshop.

---

### 🤖 Meet ShopBot
Before the sparks flew (figuratively), I had to learn how to speak ShopBot's language. Here’s the quick rundown of my new mechanical partner:

- **Name:** ShopBot (aka "The Bot")
- **Special Skills:** Cutting, carving, drilling, and showing off curves in wood, foam, and even some textiles.
- **Best Features:**
  - A bed large enough for ambitious dreams (and oversized plywood).
  - A spindle that spins so fast, it could make your head spin too.
  - Precision? It measures in millimeters. Drama-free? Not quite.

---

### 📚 Day 1: CNC Crash Course 🚀
First things first, we went through CNC etiquette:

1. **File Preparation:**
   - Start with a clean vector file. Think of it as ShopBot’s playlist—it won’t groove to bad tunes (or messy files).
   - Exported my design in DXF format, but ShopBot also loves SVG and AI files.

2. **Safety First:**
   - Goggles on, hair tied, and fingers away from the dance floor (bed). No one wants a close encounter of the spindle kind.

3. **Toolpath Magic:**
   - Using **VCarve Pro**, I set up the toolpaths.
   - Learned the CNC golden rule: *Measure twice, carve once...or face the wrath of the wasted material pile.*

---

### ⚙️ Day 2: ShopBot Tango 🎶
- **The Setup:**
  - Loaded my material like a chef preparing a masterpiece.
  - Secured it with clamps and crossed my fingers for no surprises.
  - Zeroed the Z-axis with the precision of a tightrope walker.

- **The First Cut:**
  - Nervously hit "Start" and watched the spindle roar to life.
  - ShopBot danced across the material, spitting out sawdust confetti. 🎉
  - It was like watching a robot graffiti artist—mesmerizing and mildly intimidating.

---

### 🎨 The Result: A Masterpiece in the Making
After hours of carving and a few “oh-no” moments (ShopBot loves to test your patience), my textile scaffold began to take shape. Think laser-cut lace, but chunkier and more tactile.


---

Working with **[ShopBot](https://www.shopbottools.com/)** was equal parts exhilarating and humbling. It’s like having a powerful friend who occasionally misinterprets your instructions but always delivers a show-stopping finale. My textile scaffold is now a fusion of precision, creativity, and a sprinkle of chaos.

Would I do it again? Absolutely. ShopBot and I aren’t just collaborators now—we’re frenemies who thrive on mutual respect and a shared love for sawdust art.

---

The CNC machine is an **industrial monster** that **cuts, engraves, and mills** materials with **high precision**. But before using it, we had to **train** and **learn the DOs and DON'Ts.**  

??? Danger "🔥 CNC Machine Safety Rules"  

     - [x] Wear **protective glasses & gloves**  
     - [x] Tie up long hair & remove loose clothing  
     - [x] Secure materials **properly**— nothing should move!  
     - [x] Always use the correct **milling tool** for the job  
     - [ ] NEVER touch the spinning tool  
     - [ ] DO NOT leave the machine unattended!


---

## **🎛️ CNC Process**  

Before making my **layered wave model**, we **learned**:

- How to **place the collet** (tightening it correctly avoids disasters).  
- Choosing the right **milling tool** for cutting vs. engraving.  
- Setting **cut depth, speed, and material thickness**.  

<p style="clear: left;"></p>
<br/>


![](../images/week10/1.png)



### 🔧 My CNC Model: The Wavy Layered Madness 

??? tools "Softwares"
     In the process of creating my textile scaffolding designs, I utilized a variety of powerful software tools:
     - **Rhino**: For 3D modeling, providing the foundation for creating the geometric structures of my textile scaffolding.  
     - **Grasshopper**: Used alongside Rhino to develop parametric designs, allowing for dynamic control over pattern variations, mesh formation, and modular patterns.  
     - **VCarve**: Utilized for preparing the designs for laser cutting, ensuring precision in the translation from digital models to physical output.  

 **Designed in Rhino** 🦏  
![](../images/week10/1st%20layer.png){ width=300 }
![](../images/week10/swatches.png){ width=300 }


  - **3D Modeling in Rhino & Grasshopper** 

For my CNC cut layered structure, I leveraged **parametric modeling** in **Grasshopper**, focusing on **contour generation, ruled surfaces, axis projection, and extrusion**. This approach allowed me to translate a fluid design into precise CNC-cuttable layers.  


 - **📏 Contouring & Ruled Surface**  
I started with a **base geometry** and applied the **Contour** component to slice it into evenly spaced layers. This step ensured that each section aligned with the CNC material thickness.  

 I then used **Ruled Surface** between selected contours to create smooth **transitional forms**, giving the structure its organic wave-like effect.  

  - **🎯 Projecting & Extruding Along Axis**  
- After defining the contour layers, I projected key **reference curves** onto a **central axis** for better structural alignment.  
- Using the **Extrude** component, I transformed these projected curves into solid **CNC-cuttable layers**.  

**🛠️ Grasshopper Components Used**       

| Component        | Function  |
|-----------------|-----------|
| **Contour** | Sliced the base geometry into stacked layers |
| **Ruled Surface** | Created smooth transitions between contours |
| **Project** | Mapped curves onto a defined axis for alignment |
| **Extrude** | Generated solid layers for CNC fabrication |
| **Plane Axis** | Defined alignment references for clean cuts |


![](../images/week10/grasshopper.png){ width=400 }
![](../images/week10/process.png){ width=400 }
![](../images/week10/side%20view%20layers.png){ width=400 }


This workflow allowed for **precise control** over the final structure, ensuring seamless assembly and efficient CNC milling.  


- Each **layer = 10 cm** thick.  
- Created a **base structure** with **interlocking slots** to keep them stable.  
- **Flattened all layers** to prep for CNC cutting.  
- Exported to the **CNC software** for final cutting.  




<p style="clear: left;"></p>
<br/>


![](../images/week10/optionss.png){ width=400 }
![](../images/week10/size.png){ width=400 }
![](../images/week10/measurments.png){ width=400 }


**🛠️ CNC Settings Used**

I used the ShopBot CNC machine with  [**VCarve Pro**](https://www.vectric.com/products/vcarve) software to execute a 2D pocketing operation. This process involved milling precise pockets into the material, aligning with the structural and aesthetic needs of my textile scaffold project. The operation highlights the integration of digital fabrication into my textile design research

![](../images/week10/Screenshot%20(176)_11zon.jpg) 


| Setting          | Value |
|----------------|------|
| **Material**    | MDF (Medium-Density Fiberboard) |
| **Cut Depth**   | 5mm per pass |
| **Tool Type**   | 6mm End Mill |
| **Feed Rate**   | 2000 mm/min |
| **Spindle Speed** | 12000 RPM |


### 🏗️ Results & Reflection CNC Model  


<p style="clear: left;"></p>
<br/>

![](../images/week10/9.png)

![](../images/week10/Textile%20scaphold%20phinal_11zon.jpg)
![](../images/week10/10.png)

✅ Successfully **milled and assembled** the **layered wave structure**.  
✅ **Locked layers together** with **precision cut voids**.  
✅ Great structural integrity, but **some edges needed sanding.**  





## Kombucha Leather Molding with The Wavy Layered Madness Frame

Here’s how I plan to mold my **[kombucha leather](https://class.textile-academy.org/2025/dima-hejap/assignments/week07/)** using the **Wavy Layered Madness** frame, which has those **lines at different heights** to create that cool wave effect. Since the frame is more like a **3D grid with raised lines**, I’m aiming to press the leather onto those high and low points for some awesome texture.

1. **Prepare the Kombucha Leather**: First things first, I’ll **soak the kombucha leather**. This is crucial because I need the leather to be **soft and flexible**. I’ll dip it in warm water until it becomes pliable, but not overly soggy. Just enough to make it moldable!

2. **Lay the Leather in the Frame**: Next, I’ll lay the softened kombucha leather on top of my **Wavy Layered Madness** frame. Since the frame is made of lines at varying heights, the leather will naturally drape across those highs and lows. I’ll want to **smooth it out** so that it fits snugly into the frame without any wrinkles. 

3. **Pressing the Leather**: Now comes the fun part. To mold the leather into the shape of the frame, I’ll use **soft pressure**. I can put a **wooden board** or **flat object** over the leather and gently press down. The goal is to make sure the leather sinks into the **low points** of the frame while sitting on top of the **raised lines**, creating the wave texture. 

   - **Pro Tip**: If I feel like it, I can use a **clamp** around the edges of the leather to hold it in place without applying too much pressure, making sure it doesn’t get squished too much.

4. **Drying and Setting**: Once I’ve applied pressure, I’ll leave the leather to dry in place. Since the kombucha leather needs to **dry** while still pressed in the frame, I’ll let it sit for a few hours or even overnight. This will ensure it keeps the **wave pattern** and molds properly to the raised and lowered parts of the frame.

5. **Removing the Leather**: After the leather has dried and taken on the shape of the **Wavy Layered Madness** frame, I’ll gently remove it. I’ll check to see if the waves have been formed correctly. If needed, I can trim any excess leather or refine the edges.

6. **Finishing Touches**: The final product should show off those **beautiful wavy patterns** from the frame’s varied height lines. I can also add a **natural dye** or finish to enhance the texture and color of the leather for a more polished look.

### References for Kombucha Leather Molding:
- [How to Mold Kombucha Leather](https://www.instagram.com/sustainablefashionmold) (See how others are using molds!)
- [Kombucha Leather Crafting Tutorial](https://www.fashiondiy.com/kombucha-leather-tips) (Some great tips for working with kombucha leather)
- [Leather Molding Techniques](https://www.leatherworkinggroup.com) (General leather molding guidance)

This process should give me a beautiful **textured leather piece** with those raised wavy lines from the frame. Can’t wait to see how it turns out!


---

## Conclusion
This week was **a rollercoaster of science, engineering, and design!**  
- Crystallization taught me **patience and chemistry**.  
- The CNC machine? **Intimidating at first, but SO powerful!**  
- The layered model? **A success!** I might refine it further for **furniture or textile structures.**  

**What’s next?** Probably **MORE experiments**because when science meets design, **wild things happen!** 🚀  

<p style="clear: left;"></p>
<br/>



---


## Fabrication files

- [Layering Wood BASE](../files/week10/DIMA-Base.dxf)
- [Layering Wood Layer](../files/week10/Dima-Layers.dxf)
- [Layering Wood Rhino Grasshopper](../files/week10/Dima-Layering%20Rhino%20.3dm)
- [Layering Wood CNC VCARV](../files/week10/Dima.crv)
- [Layering Wood CNC VCARV Settings](../files/week10/Dima_Summary.html)


