# 11. Open Source Hardware - From Fibers to Fabric

![Bio Extruder](../images/week11/final.png)


## **Open Source Bioextruders: The Dream Team 🌟**  
 
This week, we weren’t just solo inventors in our labs. We formed our own *bio printing Avengers*! Together, as a dynamic group with our brilliant leader and instructor, Claudia, we tackled challenges, celebrated breakthroughs, and laughed through the occasional *oops moment*. Collaboration wasn’t just a strategy it was the magic that powered this mission.  

Ready to meet the stars that inspired us and fueled our journey? Let’s dive in! 🎢 


![Team Image](../images/week11/team.jpg)

[Naim](https://class.textile-academy.org/2025/naim-ali/)
[Dima](https://class.textile-academy.org/2025/dima-hejap/)
[Ola](https://class.textile-academy.org/2025/ola-muhanna/)
[Rawan](https://class.textile-academy.org/2025/rawan-aziziyeh/) 
[Omar](https://class.textile-academy.org/2025/omar-otuom/), and our amazing instructor [Claudia](https://class.textile-academy.org/)  made this project come to life through collaboration, creativity, and problem solving! 


---

## **Research & Inspiration***

From fibers to fabrics, these open source extruders have revolutionized the art of bio printing each bringing their unique flair, like a superhero squad saving the world one filament at a time.

**[300CC Extruder on Thingiverse](https://www.thingiverse.com/thing:181833): The Big Boss 💪**  
This extruder is a powerhouse designed for large scale 3D printing. Its capacity and robust design make it perfect for ambitious bio printing projects.  

<a href="https://www.thingiverse.com/thing:181833" target="_blank">
  <img src="https://cdn.thingiverse.com/renders/59/61/b6/4e/81/DSC_4510_display_large.jpg" alt="300CC Extruder Preview" width="800" />
</a>  

   🔗 [300CC Extruder on Thingiverse](https://www.thingiverse.com/thing:181833)

---

**[Catherine’s Bio Extruder Project](https://class.textile-academy.org/2019/catherine.euale/projects/P4Machine/#concept)  : The Versatile Visionary 🧪**  
Catherine Euale’s project emphasizes adaptability and innovation. This extruder is an excellent choice for bio materials with its thoughtful design and user-friendly documentation.  

<a href="https://class.textile-academy.org/2019/catherine.euale/projects/P4Machine/#concept" target="_blank">
  <img src="https://gitlab.fabcloud.org/academany/fabricademy/2019/students/catherine.euale/raw/01cb7852d38bd88c2a1d76509e577139b9eb3470/docs/images/SYRINGE-EXTRUDER.jpg" alt="Bio Extruder Catherine Preview" width="800" />
</a>  

🔗 [Catherine’s Bio Extruder Project](https://class.textile-academy.org/2019/catherine.euale/projects/P4Machine/#concept)

---

**[Biogun](https://wikifactory.com/+othertodaystudio/biogun/v/7e917af): The Cool Kid of Bio-Printing 🔫**  
The Biogun combines sleek design with precision, making it a favorite for experimental bio printing enthusiasts.  

<a href="https://wikifactory.com/+othertodaystudio/biogun/v/7e917af" target="_blank">
  <img src="https://res.cloudinary.com/dbshcjrt3/image/upload/w_1480,h_986,c_fill,g_auto,q_auto/wikifactory-prod-uploads/50896/wiki_hero-05.jpg" alt="Biogun Preview" width="800" />
</a>  

🔗 [Biogun](https://wikifactory.com/+othertodaystudio/biogun/v/7e917af)

---

**[Syringe Extruder](https://www.instructables.com/Syringe-Extruder/): The Minimalist Marvel 🏹**  
For those who love simplicity, the Syringe Extruder is a go to. Its straight forward design makes it ideal for small-scale, precise bio printing projects.  

<a href="https://www.instructables.com/Syringe-Extruder/" target="_blank">
  <img src="https://content.instructables.com/FLP/U8HX/IE2NAC03/FLPU8HXIE2NAC03.jpg?auto=webp&frame=1&crop=3:2&width=696&height=1024&fit=bounds&md=MjAxNS0wOS0wMiAwNToyMDo1OC4w" alt="Syringe Extruder Preview" width="800" />
</a>  

🔗 [Syringe Extruder](https://www.instructables.com/Syringe-Extruder/)

---

**[Naim’s Documentation](https://fabacademy.org/2024/labs/techworks/students/naim-alhajali/assignments/week15/) : The Iterative Innovator 🔧**  
This project emphasizes learning through iteration. Naim’s approach is as much about the process as it is about the outcome.  

<a href="https://fabacademy.org/2024/labs/techworks/students/naim-alhajali/assignments/week15/" target="_blank">
  <img src="https://fabacademy.org/2024/labs/techworks/students/naim-alhajali/images/MW/cnc/close.up.1.jpg" alt="Naim's Documentation Preview" width="800" />
</a>  

🔗 [Naim’s Documentation](https://fabacademy.org/2024/labs/techworks/students/naim-alhajali/assignments/week15/)

---

**[Simple Paste Extruder](https://www.thingiverse.com/thing:5215048): The Beginner’s Bestie 🥣**  
For quick experiments and small setups, the Simple Paste Extruder is a fantastic entry point. Affordable, accessible, and efficient!  

<a href="https://www.thingiverse.com/thing:5215048" target="_blank">
  <img src="https://cdn.thingiverse.com/assets/fd/27/11/1e/45/large_display_P1190079.jpg" alt="Simple Paste Extruder Preview" width="800" />
</a>  

🔗 [Simple Paste Extruder](https://www.thingiverse.com/thing:5215048)

---
## **Process and Workflow**

### **00 Conceptualization: Hacking CNC Machine for Bio Printing 💡**

For this project, we built upon an existing concept created by [Naim](https://fabacademy.org/2024/labs/techworks/students/naim-alhajali/) during the Fabacademy program. Naim had developed a CNC machine with a silicone extruder, and we saw the potential to take it further. 

**Our vision** was to transform this machine into a bio materials extruder capable of printing directly onto fabric.

Starting with base design, we began sketching out how to integrate the bio materials extruder, considering both mechanical and functional needs. The goal was to create a hybrid machine that could handle bio materials in innovative ways, pushing the boundaries of bio printing for sustainable 
fashion.


![Chart](../images/week11/Chart.jpg)

Check out Naim’s original project on the [Fabacademy website](https://fabacademy.org/2024/labs/techworks/students/naim-alhajali/assignments/week15/).


---


### **01  Modeling: Crafting the Blueprint**


<div class="grid cards" markdown>

-  __Plunger__ 
-  __Washer__ 
-  __Bracket__
-  __Frame__
-  __Leadscrew Nut Guide__
-  __Sringe Lock & Guide__


</div>


<div class="sketchfab-embed-wrapper"> <iframe title="Bio Extruder" frameborder="0" allowfullscreen mozallowfullscreen="true" webkitallowfullscreen="true" allow="autoplay; fullscreen; xr-spatial-tracking" xr-spatial-tracking execution-while-out-of-viewport execution-while-not-rendered web-share width="700" height="540" src="https://sketchfab.com/models/88b01111ec094aa38bbfaf62c205875d/embed"> </iframe> </div>


---


!!! note "Softwares"

    === "3D Modeling Software"
        - [**Fusion 360**](https://www.autodesk.com/products/fusion-360/overview): Used for parametric and mechanical modeling.
        - [**Rhino**](https://www.rhino3d.com/): Used for precise and detailed 3D modeling, especially in complex geometries.

    === "Slicing Software"
        - [**Cura**](https://ultimaker.com/software/ultimaker-cura): Used for slicing the 3D models to create the print paths for the Ultimaker S5 printer.

    === "Laser Cutting Software"
        - [**Rhino**](https://www.rhino3d.com/): Used for defining cutting paths for laser cutting.


---


**1. Plunger**

**Function**: The plunger is placed inside the syringe. It is not fixed, allowing it to move and push the bio materials through the extruder and onto the fabric.


![mordant](../images/week11/models03.png)

| **Setting**            | **Value**                                                                 |
|------------------------|---------------------------------------------------------------------------|
| **Function**           | Pushes bio material for extrusion                                          |
| **Printer**            | Ultimaker S5                                                                |
| **Material**           | PLA                                                                         |
| **Layer Height**       | 0.2 mm                                                                      |
| **Infill Density**     | 30%                                                                         |
| **Print Speed**        | 40 mm/s                                                                     |
| **Temperature**        | 210°C (Hotend), 60°C (Bed)                                                  |
| **Slicing Software**   | Cura                                                                        |
| **Infill Pattern**     | Grid                                                                        |
| **Support Type**       | None                                                                        |
| **Speed Settings**     | 40 mm/s   

 
<div style="padding:52.92% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/1035211329?h=451fc04dc9&amp;badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture; clipboard-write" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="3D printing Preview"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>



---



**2. Bracket**

**Function**: We 3D printed a bracket to connect the aluminum at a 90-degree angle using T nuts.



<div class="sketchfab-embed-wrapper"> <iframe title="Suleve_Corner" frameborder="0" allowfullscreen mozallowfullscreen="true" webkitallowfullscreen="true" allow="autoplay; fullscreen; xr-spatial-tracking" xr-spatial-tracking execution-while-out-of-viewport execution-while-not-rendered web-share width="700" height="540" src="https://sketchfab.com/models/8f5f9f424fa44ddd80eb8be1a3666dd9/embed"> </iframe> </div> 

**Steps**:

- **3D Modeling**:  
   - We got inspired by an existing design, but made numerous adjustments to suit the functionality of our machine.
   - Example: We added a slot for easy removal so we could fill the syringe with bio-material and put it back easily.
  
<div style="padding:56.25% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/1035208333?h=1ce6ae6a3f&amp;badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture; clipboard-write" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="3D modelling process"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>


| **Setting**            | **Value**                                                                 |
|------------------------|---------------------------------------------------------------------------|
| **Function**           | Main housing for components                                                |
| **Printer**            | Ultimaker S5                                                                |
| **Material**           | PLA                                                                         |
| **Layer Height**       | 0.3 mm                                                                      |
| **Infill Density**     | 20%                                                                         |
| **Print Speed**        | 50 mm/s                                                                     |
| **Temperature**        | 210°C (Hotend), 60°C (Bed)                                                  |
| **Slicing Software**   | Cura                                                                        |
| **Infill Pattern**     | Grid                                                                        |
| **Support Type**       | None                                                                        |
| **Speed Settings**     | 50 mm/s  




![mordant](../images/week11/models02.jpg)



---

 **3. Washer**

**Function**: We printed the washer because we didn't have the right size screws, so we used it to make the screw stable.


![mordant](../images/week11/models05.jpg)



| **Setting**            | **Value**                                                                 |
|------------------------|---------------------------------------------------------------------------|
| **Function**           | Stabilizes screws                                                           |
| **Printer**            | Ultimaker S5                                                                |
| **Material**           | PLA                                                                         |
| **Layer Height**       | 0.3 mm                                                                      |
| **Infill Density**     | 20%                                                                         |
| **Print Speed**        | 50 mm/s                                                                     |
| **Temperature**        | 210°C (Hotend), 60°C (Bed)                                                  |
| **Slicing Software**   | Cura                                                                        |
| **Infill Pattern**     | Grid                                                                        |
| **Support Type**       | None                                                                        |
| **Speed Settings**     | 50 mm/s   


---


**4.Leadscrew Nut Guide / Sringe Lock & Guide**


**Function**: to guide the leadscrew and the sringe to not twist


![mordant](../images/week11/models04.jpg)




| **Setting**            | **Value**                                                                 |
|------------------------|---------------------------------------------------------------------------|
| **Function**           | Stabilizes screws                                                           |
| **Printer**            | Ultimaker S5                                                                |
| **Material**           | PLA                                                                         |
| **Layer Height**       | 0.3 mm                                                                      |
| **Infill Density**     | 20%                                                                         |
| **Print Speed**        | 50 mm/s                                                                     |
| **Temperature**        | 210°C (Hotend), 60°C (Bed)                                                  |
| **Slicing Software**   | Cura                                                                        |
| **Infill Pattern**     | Grid                                                                        |
| **Support Type**       | None                                                                        |
| **Speed Settings**     | 50 mm/s   






---



**4. Frame (Laser Cutting)**



**Function**: The frame serves as the supporting structure for the entire bio extruder, holding the components in place and ensuring stability during extrusion.


![mordant](../images/week11/models01.jpg)



**Laser Cutting Settings for Frame**:

| **Parameter**       | **Setting**          |
|---------------------|----------------------|
| **Laser Machine**   | TROTEC Laser Cutting |
| **Material**        | MDF (3.5mm wood)     |
| **Cutting Speed**   | 0.32 mm/s            |
| **Power**           | 100%                 |
| **Passes**          | 1                    |
| **Thickness**       | 3.5 mm               |





<div style="position: relative; width: 100%; height: 0; padding-top: 55.1042%;
 padding-bottom: 0; box-shadow: 0 2px 8px 0 rgba(63,69,81,0.16); margin-top: 1.6em; margin-bottom: 0.9em; overflow: hidden;
 border-radius: 8px; will-change: transform;">
  <iframe loading="lazy" style="position: absolute; width: 100%; height: 100%; top: 0; left: 0; border: none; padding: 0;margin: 0;"
    src="https://www.canva.com/design/DAGYOKml654/dJ1rruTF3tgPX7SnoSQVcA/view?embed" allowfullscreen="allowfullscreen" allow="fullscreen">
  </iframe>
</div>
<a href="https:&#x2F;&#x2F;www.canva.com&#x2F;design&#x2F;DAGYOKml654&#x2F;dJ1rruTF3tgPX7SnoSQVcA&#x2F;view?utm_content=DAGYOKml654&amp;utm_campaign=designshare&amp;utm_medium=embeds&amp;utm_source=link" target="_blank" rel="noopener">

---


### **02 Electronics: Shockingly Good Stuff**

 **Electronics Setup: The Heartbeat of Our CNC Adventure**

Imagine a symphony of sparks and circuits, all working together to bring our CNC machine to life. The electronics setup wasn’t just assembling parts it was crafting the brain and muscle of our mechanical marvel! Here’s how the magic happened

**Meet the Crew**


<div class="grid cards" markdown>

-   __🔌[12V Power Supply](https://www.example.com/12v-power-supply)__

    ---

    The powerhouse that keeps everything humming
    fueling all the electronics with steady energy.

    

-   __🧠[Arduino Mega](https://store.arduino.cc/products/arduino-mega-2560-rev3)__

    ---

    The mastermind, orchestrating movements and running the firmware that turns ideas into precise actions.

    

-   __🎛️[CNC Shield](https://www.example.com/cnc-shield-for-arduino)__

    ---

    The ultimate sidekick, making motor connections a breeze and acting as the bridge between hardware and brainpower.

    

-   __⚙️[A4988 Stepper Drivers](https://www.pololu.com/product/1182)__

    ---

    The finesse team, whispering commands to the motors, regulating current, and ensuring every move is just right. 

    

-   __🎡[Stepper Motors](https://www.example.com/nema17-stepper-motor)__

    ---

    The muscle, translating electrical whispers into smooth, accurate motion for our CNC’s X, Y, and Z axes.

    

</div>



=== "**Building the Beat**"

    1. **Power Up**: A 12V power supply was installed to energize the entire setup, ensuring consistent operation.  
    2. **Brain Meets Shield**: The CNC shield was mounted onto the Arduino Mega, creating a smart and streamlined control center.  
    3. **Drivers Onboard**: A4988 drivers were carefully slotted into the CNC shield, with their current limits finely tuned for motor harmony.  
    4. **Motors Connected**: The stepper motors joined the orchestra, wired to their drivers with precision to ensure smooth movement.  
    5. **Wiring Wizardry**: Every connection followed a detailed wiring diagram to prevent errors, ensuring a flawless electrical symphony.  
    6. **Final Tuning**: Like a maestro adjusting an orchestra, we secured connections, calibrated currents, and tested each motor until the movements were pitch perfect.


---


**Function: Extruder Motor Powerhouse ⚡**

The **extruder motor** is seamlessly connected to the [**RAMPS shield**](https://www.reprap.org/wiki/RAMPS_1.4) which, in turn, links to the [**Arduino Mega**](https://www.arduino.cc/en/Main/ArduinoBoardMega2560). This setup is the brain behind the operation, coordinating everything with precision. The motor’s movements are precisely controlled by the [**A4988 stepper driver**](https://www.pololu.com/product/1182), ensuring smooth, reliable extrusion for your 3D prints.

**Enter the Software Stage: Marlin Firmware 🎶**
Our CNC's brain got a firmware upgrade with **[Marlin](https://marlinfw.org/)**, the rockstar of open-source CNC control. With [Arduino IDE](https://www.arduino.cc/en/software) as the editing studio.

![](../images/week11/marlin_code.jpg)

??? success "Tips & Tricks"
    - **Axis Remix**: X, Y, and Z were configured to match our CNC dimensions, with precise steps per millimeter calculated for mic drop accuracy.
    - **No Heat Hack**: Since CNCs don’t need to get hot, we bypassed the temperature checks, setting a fixed value to keep Marlin grooving without complaints.


With power, precision, and a touch of programming flair, our CNC machine’s electronics became the heartbeat of this creative adventure, ready to carve a path into the future! 🎉

!!! info "Tools"
    - **Screwdrivers**
    - **Multimeter**
    - **Caliper**
    - **Water level**
    - **Pliers**
    - **Drill**
    - **Sketch Tape**
---

### **03 Bio Printing: From Alginate to Bio Pottery 🌱💡**

<div style="text-align: center;">
  <iframe src="https://giphy.com/embed/ZMCEjVi9r4bwe99dLN" 
          style="width: 80%; height: 400px; max-width: 800px; border: none; margin: 0 auto; display: block;" 
          allowfullscreen></iframe>
</div>
<p style="text-align: center; margin: 0;">
  <a href="https://giphy.com/gifs/ZMCEjVi9r4bwe99dLN">via GIPHY</a>
</p>


Our goal for the bioprinting process was to create a material that could hold its shape while remaining **flexible** enough to work with and easy to extrude. It needed to strike the perfect balance **pliable**, **soft**, and able to **dry nicely**, both on textiles and on its own.

We experimented with several recipes to find this **sweet spot**, testing different formulations to achieve a material that worked effectively for our needs. In the following sections, we’ll delve deeper into:

-  The bio mixtures we experimented with
-  The bio printing process

---

**Recipes**

<div class="grid cards" markdown>

-  __Alginate Based Recipe__ 
-  __Bio Pottery__ 
-  __Alginate and Xanthan Gum Mix__
-  __Gelatine Based Biosilicon__



</div>

---
 
**Alginate Based Recipe**

 
In this experiment, we revisited the traditional method of creating alginate biomaterial. Alginate is a cold-cooked substance, making it easier to extrude. Our goal was to create a mixture that extrudes smoothly while maintaining its shape.  

---

=== "**Process**"
      **Initial Mixture**:  
          - We combined **water**, **dye bath**, **oil**, and **glycerine** in a blender to mix thoroughly.  
          - Afterward, we added the **alginate** and blended again until the mixture was smooth.  
       **Extrusion**:  
          - The initial mixture was smooth and easy to extrude, allowing for intricate designs. However, it was slightly liquidy, which made it difficult to hold its shape.  
      **Adding Fillers**:  
          - To improve consistency, we added **tissue paper** and **pine needles** (both ground finely). This thickened the mixture, achieving a perfect consistency for extrusion while holding its shape.
       **Curing**:  
          - We sprayed the extruded designs with **calcium chloride** to cure the material.
       **Air Bubbles**:  
          - Allowing the mixture to set before use is crucial for reducing air bubbles, ensuring a smoother final texture.
          ![](../images/week11/bio8.jpg)



<div style="text-align: center;">
  <iframe src="https://giphy.com/embed/jpPWCBdIXSZZ1xFeYK" 
          style="width: 80%; height: 400px; max-width: 800px; border: none; margin: 0 auto; display: block;" 
          allowfullscreen></iframe>
</div>
<p style="text-align: center; margin: 0;">
  <a href="https://giphy.com/gifs/jpPWCBdIXSZZ1xFeYK"></a>
</p>

**Extruder Test**

- We tested this **alginate based recipe** using the extruder, and it performed exceptionally well. The mixture maintained its consistency during the extrusion process and produced smooth, well defined shapes. This recipe showcased its potential for creating intricate designs.

![](../images/week11/bio7.jpg)

---

**Recipes**

| Water (ml) | Alginate (g) | Glycerine (g) | Pomegranate Ink (g) | Oil (g) | Additives                        | Consistency                 | Extrusion Result                      |
|------------|--------------|---------------|----------------------|---------|----------------------------------|-----------------------------|---------------------------------------|
| 420        | 25           | 30            | 5                    | 3       | None                             | Jelly-like, moderate hold    | Smooth and nice                       |
| 420        | 25           | 30            | 5                    | 3       | Pine needles (1.43g), Tissue Paper (0.65g) | Jelly-like, holds its shape | Smooth, perfect for intricate designs|

---



??? success "**Observations**"
    - **Extrusion Quality**: The mixture extruded smoothly and allowed for intricate designs.  
    - **Consistency Improvements**: Adding fillers significantly improved the material’s ability to hold its shape.  
    - **Air Bubbles**: Letting the mixture set before extrusion reduces air bubbles, ensuring a more polished final product.
    - **Shrinkage**: Alginate shrinks after drying, which may impact the final design
    ![](../images/week11/bio9.jpg)




??? Danger "**Challenges**:"
    - Without fillers, the mixture was slightly too liquidy and didn’t hold its shape as desired.  
    - Managing air bubbles requires patience and proper setting time.



??? example "**Next Steps or Adjustments**"
    - Experiment with other natural fillers to test how they affect texture and durability.  
    - Explore different curing methods, such as soaking or immersion, to enhance the material’s strength.  

---

**Bio Pottery**

In this experiment, we wanted to explore the potential of **soil** as a sustainable material. Soil is a resource that’s widely available and renewable, making it an excellent base for bio pottery.

=== "**Process**"

  **Collecting Soil:**
    * We gathered soil from the lab’s garden.
    * To remove rocks and debris, we sifted the soil using an embroidery hoop and some mesh (**crafty DIY style!**).

  **Drying and Grinding:**
    * The soil was slightly damp, so we microwaved it to dry it out.
    * Once dry, we used a coffee grinder to pulverize the soil into a fine grain.
    * ![](../images/week11/bio3.jpg)

  **Creating the Mixture:**
    * We combined the sifted soil with xanthan gum and oil to make the mixture pliable and soft.


---

 **Results**

- **Consistency:** The result was a soft, clay-like mixture that was easy to extrude.
- **Surface Quality:** Once dried, the material became smooth and nice, ideal for detailed applications.
- **Applications:** This recipe has great potential for creating jewelry, embellishments, plates, cups, and more.

<div style="text-align: center;">
  <iframe src="https://giphy.com/embed/lWdYjDho3s3wwmcR9G" 
          style="width: 80%; height: 400px; max-width: 800px; border: none; margin: 0 auto; display: block;" 
          allowfullscreen></iframe>
</div>
<p style="text-align: center; margin: 0;">
  <a href="https://giphy.com/gifs/lWdYjDho3s3wwmcR9G"></a>
</p>


**Extruder Test**

We tested the **bio pottery recipe** using the extruder, and it performed exceptionally well. The mixture maintained its consistency during the extrusion process and produced smooth, well-defined shapes.

![](../images/week11/bio4.jpg)
---

??? Danger "**Challenges**"
    - **Color:** The natural color wasn’t ideal for all applications, so future experiments might explore adding pigments.
    - **Fragility:** The final product was a bit fragile, so we’ll need to adjust the recipe to improve its durability.


??? example "**Next Steps or Adjustments**"
    - Experiment with different binders or additives (e.g., alginate or glycerin) to improve durability.
    - Test pigments to enhance the color of the material for decorative uses.
    - Explore firing or coating methods to reduce fragility and make the material suitable for functional items like plates or cups.
    ![](../images/week11/bio5.jpg)


**Alginate and Xanthan Gum Mix**

For our initial recipes, we combined **sodium alginate** as the primary biopolymer, **xanthan gum** as the bio-plasticizer, and **water** as the solvent. To add structure and texture, we incorporated **eggshells** as a filler.

 **Recipes**

| Recipe    | Water (ml) | Sodium Alginate (g) | Eggshells (g) | Xanthan Gum (g) | Additives              | Consistency                               | Result                                       |
|-----------|------------|---------------------|---------------|-----------------|------------------------|-------------------------------------------|---------------------------------------------|
| Recipe 1  | 100        | 1                   | 5             | 2               | None                   | Runny, silicon-like                       | Very soft; does not hold shape              |
| Recipe 2  | 100        | 1                   | 7.5           | 3               | None                   | Runny, silicon-like                       | Still too soft; does not hold shape         |
| Recipe 3  | 100        | 2                   | 10            | 4               | None                   | More pliable, holds shapes but soft       | Improved! Holds shape better, but soft      |
| Recipe 4  | 100        | 2                   | 75            | 4               | Sand + Licorice (50g)  | Grainy, pottery-like                      | Very stiff, hard to extrude, even with oil  |

---


=== "First Three Recipes"
    - **Results:** The mixture extruded nicely, flowing smoothly during the process.
    - **Challenge:** It didn’t hold its shape well when layering another extrusion on top, making it unsuitable for creating multi-layered designs.
    ![](../images/week11/bio1.jpg)


=== "Fourth Recipe"
      - **Result:** The mixture became pottery-like, with a grainy texture resembling clay.
      - **Challenge:** While the texture held its shape, it was extremely stiff and difficult to extrude. Even after adding a small amount of oil to soften the mixture, it remained stiffer than expected and hard to work with.
      - To address the issue, we modified the recipe by significantly increasing the amount of eggshells and adding new components like sand and licorice for improved structure and texture.
    

<div style="text-align: center; margin-top: 20px;">
  <iframe src="https://giphy.com/embed/tdoITxwDuNFkt2YfjZ" 
          style="width: 80%; height: 400px; max-width: 800px; border: none; margin: 0 auto; display: block;" 
          allowfullscreen></iframe>
</div>
<p style="text-align: center; margin: 0;">
  <a href="https://giphy.com/gifs/tdoITxwDuNFkt2YfjZ"></a>
</p>


---

??? success "**Observations**"
     - Increasing eggshell content improved structure but led to stiffness and difficulty in extrusion.
     - Adding sand and licorice created a grainy, clay-like texture but significantly reduced extrudability.
     ![](../images/week11/bio2.jpg)



??? example "**Next Steps or Adjustments**"
     - **Refining Fillers:** Experiment with different amounts and types of fillers, such as eggshells or sand, to find the right balance between holding shape and maintaining extrudability.
     - **Improved Grinding:** Ensure all ingredients, especially fillers like eggshells, are finely ground to create smoother textures and better consistency in the mixture.

---


**Gelatine Based Biosilicon**

  
In this experiment, we explored creating a biosilicon material using **gelatine**, **glycerine**, and **water**. The goal was to test its potential for extrusion. To add a natural touch, we used a **pomegranate dye bath** as part of the liquid base.  

---


=== "**Process**"  
      1. Heated the water and added the **gelatine** and **glycerine**, stirring until fully dissolved.  
      2. Attempted to extrude immediately after mixing, but the material was too **runny** and didn’t hold its shape.  
      3. Allowed the mixture to **set for 10 minutes** to slightly solidify.  
      4. Tried extruding again, but the material clogged the syringe due to its consistency and lack of heat in our extruder.  

      ![](../images/week11/bio6.jpg)


 **Recipe** 

| Water (ml) | Gelatine (g) | Glycerine (g) | Consistency       | Extrusion Result                                                                 |
|------------|--------------|---------------|-------------------|---------------------------------------------------------------------------------|
| 240        | 48           | 24            | Very runny, smooth| Extrusion was unsuccessful; the mixture clogged the syringe without additional heat.|


??? Danger "**Observations and Challenges**"  
    - The material requires heat at the extrusion point to maintain a workable consistency.  
    - Without a heat-oriented extruder, the gelatine-based biosilicon clogged the syringe and was not suitable for extrusion.  
    - Despite the failure in extrusion, the recipe showed potential for use with a **heated bio extruder** for better results.  



??? example "**Next Steps or Adjustments**"
     - Explore bio extruders with heating capabilities to test this recipe more effectively.  
     - Experiment with alternative ratios of water, gelatine, and glycerine to find a balance that works at room temperature.


---

### **04 Prototyping**

**Prototyping the Extruder: Step by Step Process**

**Step 1: Deconstructing and 3D Printing the Plunger**

- The 3D printer begins by printing the plunger components in separate pieces.
- Each piece is precisely layered, ensuring accurate dimensions for the final assembly.

![](../images/week11/prototype01.jpg)


**Step 2: Removing the Brim and Assembling the Plunger**

- The brim is carefully trimmed away from the printed parts for a clean finish.
- Components are then glued together using super glue, creating a complete plunger ready for use.
![](../images/week11/prototype02.jpg)


**Step 3: Laser Cut Extruder Frame and Brackets**

- Precision cut wood pieces for the extruder frame and motor brackets are displayed.
- Each piece is designed to fit perfectly for easy assembly.

![](../images/week11/prototype03.jpg)

**Step 4: Assembling the Wooden Extruder Frame**

- The laser-cut wooden components are assembled to form a sturdy frame.
- Care is taken to ensure the frame is properly aligned for optimal stability.
![](../images/week11/prototype04.jpg)


**Step 5: Constructing the Nut and Mini Brackets**

- The nuts and brackets are carefully aligned and secured in place.
- Both front and back perspectives show how the assembly integrates into the overall design.
![](../images/week11/prototype05.jpg)


**Step 6: Coupler and Lead Screw Installation**

- The lead screw is attached to the coupler, forming a vital link in the extrusion mechanism.
- Proper alignment ensures smooth motion during operation.

![](../images/week11/prototype06.jpg)

**Step 7: Cutting and Refining the Lead Screw**

- The lead screw is cut to the correct length and smoothed to ensure it fits perfectly.

![](../images/week11/prototype07.jpg)


- Precision is key to prevent mechanical issues during extrusion.


<div style="text-align: center;">
  <iframe src="https://giphy.com/embed/R14FYVBsKI3LzPcKy2" 
          style="width: 80%; height: 400px; max-width: 800px; border: none; margin: 0 auto; display: block;" 
          allowfullscreen></iframe>
</div>
<p style="text-align: center; margin: 0;">
  <a href="https://giphy.com/gifs/R14FYVBsKI3LzPcKy2">via GIPHY</a>
</p>



**Step 8: Mounting the Stepper Motor**

- The stepper motor is securely installed within the wooden frame.
- This ensures accurate and controlled movement for the extruder.

![](../images/week11/prototype08.jpg)

**Step 9: Prototyping the Extruder by Hand**

- A hands on test of the assembled extruder ensures all components function properly.
- The manual test validates the mechanical and structural integrity of the prototype.


<div style="padding:56.25% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/1035524972?h=73b9bd28d4&amp;badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture; clipboard-write" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="prototype moving"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>



---



## 05 Final Product 


#
This week, we’re excited to showcase our **extruder**, designed to offer maximum **user friendliness** and **efficiency**!

![](../images/week11/final%20product01.jpg)

**Key Features:**

- **Easy Syringe Removal:** 
   - The syringe is **effortlessly removable**, making **material changes** and **refilling** a breeze. No more fighting with stubborn parts or wasting time on cleaning just **pop it out**, swap the material, and you’re good to go!

- **Quicker Testing:**
   - With the syringe swap system, you can easily test new materials without delays. This feature drastically reduces downtime, allowing for **faster testing** and **refining** your designs. Whether you're testing new biomaterials or switching filaments, it's designed for **smooth transitions**.

- **Efficiency at Its Best:**
   - The extruder’s design optimizes the workflow by making **material handling** much more straightforward. This means you spend **less time fiddling** and more time creating, making it perfect for rapid prototyping and material experimentation.


![](../images/week11/final%20product02.jpg)

**Benefits:**

- **Time Saving**: By eliminating the need for complicated setups, the easy syringe removal helps you test and modify quickly. This leads to more productive sessions and faster results.
  
- **Clean and Seamless**: The extruder ensures a cleaner workspace and materials with minimal effort. Whether it’s cleaning or refilling, the process stays quick and mess-free.

- **Stress Free Innovation**: With a design that’s simple to use and understand, you can focus more on your **creative process** instead of getting caught up in the logistics.

In conclusion, our syringe extruder is not just a **tool** – it’s a **game-changer**, offering unparalleled **efficiency** and **ease of use** for anyone looking to **speed up their testing** and **innovate effortlessly**. 🌟

![](../images/week11/final%20product03.jpg)



**Conclusion**

The biomaterial 3D printer is a custom CNC machine designed to precisely extrude biomaterials for experimental and creative applications. Built from scratch, the machine integrates an extruder based on a syringe mechanism, driven by a stepper motor and lead screw to ensure controlled deposition of the material. With a working area of 340mm x 390mm and a custom-built extruder capable of 70mm travel, the machine is ideal for intricate designs that require fine control over the extrusion process. The entire system operates using Marlin firmware, controlled through the Pronterface interface, allowing precise execution of G-code commands to create detailed prints. The compact design and adaptability make this machine well-suited for exploring the possibilities of biomaterial-based additive manufacturing.

<div style="padding:56.25% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/1035593873?h=b817ab1476&amp;badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture; clipboard-write" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="proccess"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>


<div style="padding:56.25% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/1035592533?h=4a8a6457bb&amp;badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture; clipboard-write" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="extruding"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>


**BOM:**


| Part                    | Quantity | Link                                                                               | Price |
|-------------------------|----------|------------------------------------------------------------------------------------|-------|
| Arduino Mega            | 1        | [Arduino Mega 2560 R3](https://mikroelectron.com/Product/Arduino-Mega-2560-R3-original-chip/) | $15   |
| CNC Shield              | 1        | [RAMPS 1.4 RepRap ARDUINO Mega shield](https://mikroelectron.com/Product/RAMPS-1-4-RepRap-ARDUINO-Mega-shield-for-3D-printer-CNC/) | $5    |
| A4988 Driver            | 5        | [STEPSTICK A4988 STEPPER DRIVER](https://mikroelectron.com/Product/STEPSTICK-A4988-STEPPER-DRIVER/) | $12.5 |
| Nema 17 Stepper         | 5        | [Nema17 1.8 Degree High Torque 42x42x40mm Stepper Motor](https://waslleh.com/product/nema17-1-8-degree-high-torque-424240mm-stepper-motor/) | $77.5 |
| Power Supply            | 1        | [12V 10A AC/DC Adapter Power Supply](https://mikroelectron.com/Product/12V-10A-AC-DC-Adapter-Power-Supply/) | $11   |
| 2020 Profile            | 3        | [Aluminum Profile 2020 for 3D Printer/CNC Frame](https://mikroelectron.com/Product/Aluminum-Profile-2020-for-3D-Printer-CNC-frame/) | $45   |
| 500mm 8mm Lead Screw   | 3        | [L500MM 8MM LEAD SCREW AND NUT](https://mikroelectron.com/Product/L500MM-8MM-LEAD-SCREW-AND-NUT/) | $25.5 |
| 300mm 8mm Lead Screw   | 2        | [L300mm 8mm Lead Screw and Nut](https://mikroelectron.com/Product/L300mm-8mm-Lead-Screw-and-Nut/) | $12   |
| 12mm Rod                | 3        | [100cm Length High-Frequency Chrome Plated Smooth Rod Diameter 12mm](https://mikroelectron.com/Product/100cm-Length-High-Frequency-Chrome-Plated-Smooth-Rod-Diameter-12mm/) | $42   |
| 12mm Linear Bearing     | 12       | [LM12UU Linear Bearing 12mm](https://mikroelectron.com/Product/LM12UU-Linear-Bearing-12mm/) | $16.5 |
| 8x22x7 Bearing          | 4        |                                                                                    |       |
| M5 T Nut                | 35       | [M5 Hammer T Nuts for 2020 Aluminum Profile](https://mikroelectron.com/Product/M5-Hammer-T-Nuts-for-2020-Aluminum-Profile/) | $5.25 |
| M6 x 25mm Screws        |          |                                                                                    |       |
| M5 x 10mm Screws        |          |                                                                                    |       |
| M5 x 16mm Screws        |          |                                                                                    |       |
| M3 x 20mm Screws        |          |                                                                                    |       |
| M3 x 12mm Screws        |          |                                                                                    |       |






## 🌟 My Takeaway from This Week
Honestly, this week felt like unlocking a whole new superpower. I never thought I'd get so into the guts of machines, but here I am, fangirling over syringes and stepper motors 😂. Learning about open-source hardware made me realize how powerful (and empowering) it is to build your own tools and how much more accessible and sustainable this path can be.

Our "bio-printing Avengers" teamwork made the technical parts way more fun, and even when things got messy (literally), I was genuinely excited to keep experimenting. I’m walking away from this week with a new obsession for open-source tools and a growing curiosity for hacking machines to print weird, wonderful, sustainable materials.



## Fabrication Files

**G-Code**

- [Circle Test G-code](../files/Gcode/t1.gcode.gcode)


**DXF Bio Extruding Machine**

- [Bio Extruding Machine](../files/Bio%20extruder%20v1.dxf)


**License**

[Attribution-ShareAlike 4.0 International](https://creativecommons.org/licenses/by-sa/4.0/deed.en)