; G-code to Draw a 5cm Diameter Circle, 2 Layers High, Extruding 2.5mm Total
; Machine Parameters: X340mm, Y390mm, Z20mm, E2.5mm total extrusion

; Set units to millimeters
G21
; Set absolute positioning
G90
; Set extruder to relative mode
M83

; Set extruder temperature to 200C (adjust as needed)
M104 S200
M109 S200 ; Wait for extruder temperature to stabilize

; Set feed rate for movement and extrusion
G1 F3000 ; Increase feed rate for XY movement
G1 F25 ; Decrease feed rate for extrusion

; Manually home extruder
G92 E0 ; Set current extruder position to zero

; Move to starting point
G0 X25 Y0 Z0.3 ; Move to starting point with Z slightly above surface

; Draw first layer (5cm diameter circle)
G2 I-25 J0 E0.625 ; Draw a full circle while extruding (25% of original extrusion)

; Move up for second layer
G0 Z0.6 ; Move Z up for next layer

; Draw second layer (5cm diameter circle)
G2 I-25 J0 E0.625 ; Draw a full circle while extruding (25% of original extrusion)

; Retract and end
G1 E-0.625 F25 ; Retract slightly
M104 S0 ; Turn off extruder heater
M84 ; Disable motors

; End of G-code
