# 03 Sketches & Road Mapping


---

##  **Ideation & sketches**


### Brain Storm

<iframe width="768" height="432" src="https://miro.com/app/live-embed/uXjVL4tLGzQ=/?moveToViewport=26585,-29613,103660,61038&embedId=840594647356" frameborder="0" scrolling="no" allow="fullscreen; clipboard-read; clipboard-write" allowfullscreen></iframe>
 


My project started as a journey about identity my experience as a twin and the human story. But through this exploration, I realized that identity isn’t just a human construct; it’s deeply tied to the natural world. The universe is far more interconnected than we think, and by looking beyond ourselves, we can uncover patterns and shapes that are infinite and meaningful.

 I came across the concept of [More-Than-Human](https://tabledebates.org/research-library/more-human). This idea made me realize that the universe isn’t centered around humans alone; it’s an interconnected system that includes all living beings microorganisms, fungi, and even ecosystems. This was a turning point for my project, where I started to look deeper into the gifts of nature, such as the patterns of microorganisms and mycelium roots.

 ![More Than Human](../Project%20Development/Images/3.jpg)



By embracing the [More-Than-Human](https://tabledebates.org/research-library/more-human) philosophy and researching organisms like [mycelium](https://en.wikipedia.org/wiki/Mycelium#:~:text=Mycelium%20(%20pl.%20%3A%20mycelia),entangled%2C%20anastomosing%2C%20hyaline%20threads.), I found a way to design not just for humans but with nature. My design will reflect:

- **Symbiosis:** The transformation and growth, symbolized by the intricate, root like expansion of mycelium.  
      - [Mycelium Roots (Rhizomorphic Structures)](https://en.wikipedia.org/wiki/Mycelial_cord#:~:text=Rhizomorph,-Unmelanized%20rhizomorphs%20of&text=Rhizomorphs%20are%20a%20special%20morphological,as%20well%20as%20ascomycete%20fungi.): These networks expand like veins or roots, creating intricate, lace-like effects. This is perfect for the 3D-printed chest piece in my design, symbolizing the roots of identity and connection.


![More Than Human](../Project%20Development/Images/5.jpg)



- **Metamorphosis:** The interconnectedness and mutual relationships between organisms, represented through the layering and patterns of mushrooms.
       - [Mushroom Layering](https://blog.iaac.net/mushroom-growth/#:~:text=Mushrooms%20grow%20through%20a%20natural,that%20break%20down%20organic%20matter.): The layered structures of mushrooms can create a beautiful scale effect for 3D printing, representing transformation and growth in the metamorphosis phase.


![More Than Human](../Project%20Development/Images/4.jpg)



This approach adds a deeper, more universal meaning to my project, moving beyond human identity to something more inclusive and sustainable, it could offer infinite patterns and shapes. Why not use these gifts from nature to represent the phases of symbiosis and metamorphosis in my design?




---


While I was working on my concept, I had a lightbulb moment: what if these dresses were more than just, well, dresses? What if they had personalities? So, I created two characters, each with their own vibe


**Meet the Characters**
<div class="grid cards" markdown>

-    __**Luma** *(The Metamorphosis)*__

       Luma's the embodiment of growth, reinvention and constantly evolving. Her dress is a two part creation, the top mimics butterfly wings with 3D printed, nature inspired patterns, and the bottom flows with vibrant, bio dyed silk threads. She’s a symbol of transformation always changing, always surprising, and never staying the same.   

       ![](../Project%20Development/Images/luma.jpg)



-    __**Vera** *(The Symbiosis)*__

       Vera's the calm, grounded one always in balance and harmony,all about connection and quiet strength Her dress features a transparent top with 3D printed tree veins flowing through her chest, symbolizing unity. The bottom is a light, airy fabric that adds a layered, natural feel. Inspired by tree veins and mashroums in symbiosis.

       ![](../Project%20Development/Images/vera.jpg)

</div>

---

Even though Luma and Vera are totally different like rock music vs. jazz they’re still **united by one thing: nature**. 

Luma’s the wild transformation, Vera’s the peaceful balance, and together they create this dynamic, moving conversation. Whether it’s through light, sound, or fabric that ripples like a wind breeze they’re always interacting, always telling a story.






---

## **Design & Fabrication**

### Material to Experiments 

<div class="grid cards" markdown>

-    __3D Printing Fabrics (Grasshopper)__
-    __Bio Dyeing Silk Yarn__
-    __Electronics__
</div>


---

#### Exploring Grasshopper 

As part of my Grasshopper research, I've been diving into different patterns and techniques to bring my 3D print vision to life. Here's what I've discovered so far:

- **Leaf Venation**: I explored how leaf patterns can influence the structure of my designs. The tutorial shows how to simulate natural veins that can give my piece an organic, yet structured, look. [Watch the video here](https://www.youtube.com/watch?v=PRijCjvn4i4).

   <iframe width="800" height="225" src="https://www.youtube.com/embed/PRijCjvn4i4" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
  
- **Anemone for Fractals**: This technique had me hooked! Using Anemone, I learned how to generate fractal patterns, creating endless variations of intricate designs. [Check it out here](https://www.youtube.com/watch?v=TmGY8Mpgia4&list=PLye01kloB-gxlOQGj9H4F9F2hwVO-_9qq).

   <iframe width="800" height="225" src="https://www.youtube.com/embed/TmGY8Mpgia4" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

- **Recursive Functions**: I got a bit nerdy here, exploring how recursive functions work in Grasshopper to create complex, repeating shapes. This method will be essential in bringing dynamic patterns to life. [Watch it here](https://www.youtube.com/watch?v=nljlzSv1yUc).

   <iframe width="800" height="225" src="https://www.youtube.com/embed/nljlzSv1yUc" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

- **Fractal Attractor Curves**: By studying attractor curves, I discovered how to control the flow and density of my fractals. This is a key step in creating controlled chaos in my designs. [Learn more here](https://www.youtube.com/watch?v=w77uioYNCeA).

   <iframe width="800" height="225" src="https://www.youtube.com/embed/w77uioYNCeA" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

- **Space Colonization**: This technique, using both the Dendro and Anemone plugins, is all about how structures grow and spread. It’ll give my project an innovative, nature-inspired feel. [Discover more here](https://parametrichouse.com/space-colonization/).

<iframe width="800" height="225" src="https://www.youtube.com/embed/06S_GIOQwLc?si=u4jaqc2KHzGRP_JQ" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>

This journey has been all about exploring the endless potential of Grasshopper


![](../Project%20Development/Images/bio%20dying%20threads-min.jpg)


---

#### **Bio Dyeing**  

---

![](../Project%20Development/Images/biodyingthread.jpeg)


I am exploring **natural dye baths** to achieve **vibrant colors** on long cotton threads for my dress. The focus is on selecting plant based dyes that bind well to cotton, using **mordants** and **modifiers** to enhance colorfastness and vibrancy.  

<iframe width="800" height="225" src="https://www.youtube.com/embed/smJEmX8YE4I?si=NShqi1v1ptlmk6U5" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>

---
**Conclusion**


=== "**Dye Sources & Expected Colors**" 
     - **Yellow & Gold:** Turmeric, marigold, onion skins  
     - **Orange & Rust:** Madder root, annatto seeds  
     - **Red & Pink:** Cochineal, brazilwood, hibiscus  
     - **Blue & Indigo:** Indigo vat, red cabbage (alkaline)  
     - **Green:** Weld + indigo overdye, iron-modified onion skins  
     - **Purple & Violet:** Logwood, blackberry, red cabbage (acidic)  
=== "**Main Steps for Dyeing**"  
     1. **Prepare Threads:** Scour and mordant to ensure color absorption.  
     2. **Extract Dye:** Simmer plant material in water to create the dye bath.  
     3. **Dye Threads:** Submerge cotton threads in the dye bath and let them soak.  
     4. **Modify Shades:** Use iron, acids, or alkalis to shift colors.  
     5. **Fix & Cure:** Air-dry threads to set the dye before rinsing.  


 ---

This research will help determine the best combinations for achieving **deep, lasting colors** while maintaining the **sustainability** of bio dyeing.



#### Exploring Natural Dye Baths for Cotton Threads and TPU  
 


I am exploring natural dye baths to achieve vibrant colors on long cotton threads for my dress. The focus is on selecting plant-based dyes that bind well to cotton, using mordants and modifiers to enhance colorfastness and vibrancy. Additionally, I tested the potential of dyeing TPU transparent material as part of my project.  


![](../Project%20Development/Images/6-min.jpg)


---

**Materials**  
- **Cotton yarns and threads**  
- **TPU transparent material**  
- **Plant-based dyes:**  
  - Hibiscus  
  - Red cabbage  
- **Modifiers and mordants:**  
  - Alum  
  - Sodium carbonate  
  - Vinegar  

---

#### Process  
##### 1. Preparing the Dye Bath  
- **Hibiscus Dye Bath**:  
  - Prepared by boiling dried hibiscus flowers in water for 30 minutes to extract the vibrant pigment.  
  - Left to cool before adding modifiers.  

- **Red Cabbage Dye Bath**:  
  - Prepared by boiling chopped red cabbage to extract the natural pigment.  
  - The pH of the dye bath was adjusted for experimentation (acidic and alkaline conditions).  

##### 2. Dyeing Steps  
1. Cotton threads and TPU transparent material were scoured and pre-washed to remove impurities.  
2. Yarns and TPU were submerged in the hibiscus and red cabbage dye baths.  
3. Experimented with the following modifiers for color variation:  
   - **Original (no modifiers)**  
   - **Alum mordant**  
   - **Alum + Sodium Carbonate**  
   - **Vinegar**  

4. Left the samples in the dye baths for **3 days** to ensure absorption.  


![](../Project%20Development/Images/7-min.jpg)
---

### Color Exploration: Purple Shades  
#### Colors Achieved on Cotton Threads:  
- **Hibiscus Dye Bath:**  
  - **Original:** Light purple with a soft, natural tone.  
  - **Alum:** Slightly brighter purple with improved vibrancy.  
  - **Alum + Sodium Carbonate:** Muted lavender with grayish undertones.  
  - **Vinegar:** Deep purple leaning toward burgundy tones.  

- **Red Cabbage Dye Bath:**  
  - Acidic pH: Soft violet tones.  
  - Alkaline pH: Blue-purple hues.  

#### Results on TPU Transparent:  
- The dye did not bind effectively to TPU, resulting in only faint stains despite prolonged soaking.  

---

#### Observations & Challenges  
##### Key Discoveries:  
- Plant-based dyes like hibiscus and red cabbage bind well to **cotton threads** but struggle to adhere to TPU material.  
- Modifiers play a crucial role in enhancing color vibrancy on cotton, with alum showing the best results.  
- Prolonged soaking did not significantly improve dye absorption on TPU.  

##### Challenges with TPU:  
- The surface of TPU may require pre-treatment or a binder for better dye adhesion.  

---

#### Next Steps to Improve TPU Dyeing:  
1. **Pre-treatment:**  
   - Experiment with scouring TPU using abrasive materials or mild solvents to improve surface texture.  
2. **Binder Application:**  
   - Apply a natural binder (e.g., soy milk or gum arabic) to help plant dyes adhere.  
3. **Alternative Dyes:**  
   - Explore synthetic dyes or pigments specifically designed for non-porous surfaces.  
4. **Shorter Soaking Time:**  
   - Test shorter dye bath durations with heat application for better absorption.  

---

##### Conclusion  
This research has provided valuable insights into achieving vibrant, natural colors on cotton threads using hibiscus and red cabbage dyes. While TPU poses challenges for dyeing with plant-based pigments, further experimentation with pre-treatments and binders could unlock its potential for sustainable bio-dyeing in my project.  

---


#### **The Connection (Electronics)** ⚡️

So here’s the thing: twins have this insane ability to sense each other’s feelings even when they’re not physically together. **They hug, hold hands, and somehow know what the other is going through.** I thought, **“Why not try to translate that connection into wearable tech?”** 

Here’s where things get fun: I'm exploring how to make these invisible twin bonds visible and interactive through electronics embedded in clothes.

![](../Project%20Development/Images/Theconnectio.jpeg)

Now, let’s take it up a notch: the thread itself is the bond, but what if we could reflect this powerful connection without actually connecting them with a physical thread? Think of it like representing that invisible thread showing how it’s felt even if it’s not there.

---

**1. Biofeedback LED Bond (Dresses Sync to Heartbeats ❤️)**

=== "Concept"
     * Dress pulsing with your heartbeat, like it’s in sync with your twin’s emotions. This isn’t your average dress, it’s a heart monitor in LED form!
=== "Implementation"
     * The idea is to create a biofeedback loop using heart rate sensors that capture your pulse and sync the LEDs on each twin’s dress. The **[ESP32](https://www.espressif.com/en/products/socs/esp32)** will handle the communication and sync between the two dresses. The LEDs will pulse at the same rate as the wearer’s heartbeat. 💡
=== "Electronics"
     1. **[Pulse Sensor Amped](https://pulsesensor.com/collections/frontpage/products/pulse-sensor-amped)** detects the wearer's heart rate.
     2. The **[ESP32](https://www.espressif.com/en/products/socs/esp32)** processes the heart rate data received from the sensor.
     3. **[Bluetooth](https://www.bluetooth.com/)** wirelessly transmits the processed data between the two dresses.
     4. **[WS2812B LEDs](https://www.adafruit.com/product/1463)** pulse in response to the transmitted heart rate data, visually representing the heartbeat.
=== "Reaction"
     * 👗 **Far apart** → No light.  
     * ✨ **Moving closer** → The LEDs on both dresses pulse at a slow, synchronized rate.  
     * 🔥 **Holding hands** → The pulse rate increases, creating a vibrant visual heartbeat effect.
=== "Pros and Cons"
     * 👗 **Visually dynamic**: Your heart rate is translated into light.
     * ✨ **Fun, interactive, and emotionally resonant.**
     * 🔥 **Wireless (via Bluetooth).**
     * 💥 **If you get too excited, your dress might start flashing like a rave.**
     * ⚠️ **Bluetooth range can be finicky, leading to syncing issues.**


??? sucess "Consideration"
      - 🔋 Power consumption of the LEDs.
      - 📶 Bluetooth signal strength to maintain synchronization.

---

**2. Electromagnetic Aura Glow (Invisible Connection)**

=== "Concept"
      * 💡 Each dress **creates an invisible electromagnetic field**. When they come close, LEDs softly **glow**, and when they touch, they create a **bright, radiant aura**.

=== "Implementation"
     * **RFID/NFC Sensors**: Detect the presence of the **other twin's dress**.  
        - 🔗 **Component**: [Adafruit RFID/NFC Module](https://www.adafruit.com/product/2800)  
        - 🎛 **Integration**: Sew RFID tags inside the fabric, with the reader hidden in a structured part of the dress.  
     * **Electroluminescent Panels**: Emit a **soft, eerie glow** when activated.  
       - 🔆 **Component**: [Adafruit EL Panel](https://www.adafruit.com/product/4147)  
       - 🎛 **Integration**: Hidden between layers of **organza, chiffon, or mesh**.
=== "Reaction"
     * 👗 **Far apart** → No light.  
     * ✨ **Moving closer** → A soft, mysterious glow starts forming.  
     * 🔥 **Holding hands** → A bright electric burst of color.
=== "Pros and Cons"
     * 🌟 **Subtle, futuristic effect** with an **"invisible bond"** concept.
     * 🛑 **RFID range is limited**, meaning close interaction is required.
     * ✨ **No need for Wi-Fi or Bluetooth** (self-contained interaction).



---

??? sucess "Consideration"
     - 📏 RFID range limitations.  
     - 💡 Ensuring the glow is visible in various lighting conditions.

---

**3. Distance Based LED Pulsing (Heartbeat Bond 💓)**

=== "Concept"
     * 🔥 Forget syncing heartbeats let’s sync your dress’s pulse with how close you are to your twin. The closer you get, the faster it flickers. It’s a literal heartbeat visual, based on distance!
=== "Implementation"
     * This system works by measuring the distance between the two dresses. The **[ESP32](https://www.espressif.com/en/products/socs/esp32)** will calculate the distance and adjust the pulse rate of the **[WS2812B LEDs](https://www.adafruit.com/product/1463)** accordingly. The closer the twins, the faster the LED pulse. 💫
=== "Reaction"
     * 👗 **Far apart** → No light.  
     * ✨ **Moving closer** → The LED pulse starts slow and soft.  
     * 🔥 **Holding hands** → The LED pulse becomes fast and vibrant, creating a burst of color.
=== "Pros and Cons"
     * 💞 **Dynamic connection based on proximity.**
     * 📏 **Distance measurement might not always be precise.**
     * 👗 **Easy to integrate into any garment design.**
     * ⚙️ **Needs careful calibration for smooth LED pulse transitions.**
     * 🔌 **Not Wireless** (requires direct connection between sensors).

---

??? sucess "Consideration"
     - 🛠 Sensor accuracy and potential interference in crowded spaces.

---

**4. Hand Holding Triggers Color Change (Thermochromic or Electroluminescent)**

=== "Concept"
     * 💡 When the twins hold hands, their dresses change color or light up, symbolizing their unified bond.

=== "Implementation"
     * **Thermochromic Ink**: Heat-sensitive ink embedded in painted fabric panels changes color upon touch.  
        - 🎨 **Recommended Component**: Thermochromic Pigment Powder  
        - 🎛 **Integration**: Use conductive thread to create heat zones in printed sections of the fabric.
     * **Electroluminescent (EL) Wire/Panels**: Soft glowing lines light up the fabric when activated.  
        - 🔆 **Recommended Component**: [Adafruit EL Wire Kit](https://www.adafruit.com/product/3309)  
        - 🎛 **Integration**: Sew into seams or laser-cut shapes on the dress.
=== "Reaction"
     * 💛 **Holding hands** → Colors shift from one hue to another or the fabric glows softly.  
     * 💜 **Dresses glow softly** when near each other.  
     * 💙 **A full-color pulse** happens when they separate and then reunite.
=== "Pros and Cons"
     * 🌟 **Beautiful and symbolic transition between phases.**
     * ✨ **Subtle, no mechanical parts, keeping the dress comfortable.**
     * 🛑 **Thermochromic effect fades over time.**
     * ⚡ **EL wires need careful power management.**

---

??? sucess "Consideration"
      - 📅 **Thermochromic ink** fades over time with exposure to heat.
     - ⚡ **EL wires** require power management for consistent illumination.




The idea is to design two garments that visually respond to proximity and touch. When the garments come close to each other, the lights on both garments fade in and out, creating a subtle, magical aura effect, as if the garments are sensing each other. 

When the wearers **touch hands**, the lights synchronize and glow brightly in perfect harmony, celebrating the connection in a powerful and visual way. It’s about creating an emotional moment, where the garments feel alive and connected to their wearers.

---

### Physical Circuit via Hands

In this approach, physical contact between the wearers' hands completes the circuit and triggers the lights.

#### Materials:
- **2 Xiao ESP32-C3 boards** (one per garment)
- **Copper tape** or **conductive fabric** for the hand areas
- Wires to connect copper tape to Xiao boards
- **NeoPixel LED strips** (or standard LEDs)
- **330Ω resistor** (for NeoPixel data)
- **1000 µF capacitor** (optional for stability)

#### How It Works:
- Each garment has a **copper tape patch** or **conductive fabric** attached to the hand area.
- On one garment, the copper tape is connected to **GND** on the Xiao board.
- On the other garment, the copper tape is connected to a **GPIO input pin**.
- When the wearers **touch hands**, the skin’s conductivity completes the circuit between GND and the GPIO pin.
- This triggers the NeoPixel LED strips to light up.

#### Circuit Setup:
1. Attach copper tape to the hand area of each garment.
2. Connect one garment’s copper tape to **GND**.
3. Connect the other garment’s copper tape to a **GPIO pin** (e.g., GPIO 2).
4. Attach the NeoPixel LED strip to the Xiao board as follows:
   - **Data Pin:** GPIO 3
   - **Power (VCC):** 5V
   - **Ground (GND):** GND
5. Add a **330Ω resistor** between the data pin and the NeoPixel.
6. Optionally, add a **1000 µF capacitor** across the power supply for stability.

#### Code:
```python
from machine import Pin
from neopixel import NeoPixel

# Configurations
TOUCH_PIN = Pin(2, Pin.IN)  # Copper tape GPIO pin
LED_PIN = Pin(3, Pin.OUT)  # NeoPixel data pin
NUM_PIXELS = 8  # Number of LEDs
strip = NeoPixel(LED_PIN, NUM_PIXELS)

def clear_strip():
    for i in range(NUM_PIXELS):
        strip[i] = (0, 0, 0)
    strip.write()

def light_up_strip(color):
    for i in range(NUM_PIXELS):
        strip[i] = color
    strip.write()

clear_strip()

while True:
    if TOUCH_PIN.value() == 0:  # Hands touching
        light_up_strip((255, 0, 0))  # Bright red light
    else:
        clear_strip()  # Turn off LEDs

```

###  Wireless Communication Using Xiao ESP32-C3

### Concept: Proximity and Touch Interaction

This approach uses wireless communication (via Wi-Fi or Bluetooth) between two Xiao ESP32-C3 boards to detect proximity and trigger fading and synchronization effects between the garments.  

#### Key Features:
- **Proximity Detection:** When the garments come close, the lights fade in and out, creating a magical "aura" effect.  
- **Touch Interaction:** When wearers touch hands, both garments light up brightly in perfect harmony.  

---

### Materials:
- **2 Xiao ESP32-C3 boards** (one per garment)  
- **NeoPixel LED strips**  
- **330Ω resistor** (for NeoPixel data stability)  
- **1000 µF capacitor** (optional for voltage regulation)  
- Power source: USB power banks or batteries  

---

### How It Works:
1. The first Xiao detects proximity or touch using a **proximity sensor** (e.g., ultrasonic sensor) or **copper tape**.
2. It sends a signal to the second Xiao using **Wi-Fi communication**.  
3. The second Xiao controls its NeoPixel LED strip based on the received signal:
   - **Proximity:** Fading lights effect.  
   - **Touch:** Full brightness for both garments.

---

### Circuit Setup:
#### For Each Garment:
1. Attach a proximity sensor or copper tape to the garment.  
2. Connect the sensor to a **GPIO input pin** (e.g., GPIO 2) on the Xiao board.  
3. Attach the NeoPixel LED strip to the Xiao board:  
   - **Data Pin:** GPIO 3  
   - **Power (VCC):** 5V  
   - **Ground (GND):** GND  
4. Add a **330Ω resistor** between the NeoPixel data pin and the GPIO.  
5. Optionally, add a **1000 µF capacitor** across the power supply for stability.

---

#### Code: Transmitter (First Xiao)

This code detects touch or proximity and sends a signal to the second Xiao via Wi-Fi.

```python
import network
from machine import Pin
import time

# Configurations
TOUCH_PIN = Pin(2, Pin.IN)  # GPIO for sensor or copper tape
ssid = "your_wifi_ssid"
password = "your_wifi_password"
server_ip = "192.168.1.xxx"  # IP address of the Receiver
server_port = 8080

# Connect to Wi-Fi
wlan = network.WLAN(network.STA_IF)
wlan.active(True)
wlan.connect(ssid, password)

while not wlan.isconnected():
    time.sleep(1)

print("Connected to Wi-Fi:", wlan.ifconfig())

# Function to send signal
def send_signal():
    import socket
    s = socket.socket()
    s.connect((server_ip, server_port))
    s.send(b"TOUCH")
    s.close()

# Main Loop
while True:
    if TOUCH_PIN.value() == 0:  # Proximity or touch detected
        send_signal()
    time.sleep(0.5)

```

---

💫 So here I am, still deciding which direction to go with this challenge turning the invisible, unspoken bond between twins into wearable tech that actually moves, glows, and pulses with their emotions. From heartbeats syncing to glowing auras, these garments aren’t just clothes they’re an interactive, emotional experience.





---







## References

- [Bio-Dyed Threads Inspiration 1](https://www.pinterest.com/pin/855613629225002706/)
- [Sustainable Fashion Project Ideas](https://www.pinterest.com/pin/143411569374054975/)
- [Natural Dyeing Techniques](https://www.pinterest.com/pin/707698528970845437/)
- [Eco-Dyeing Textile Designs](https://www.pinterest.com/pin/6966574397979888/)
- [Plant-Based Dyeing Ideas](https://www.pinterest.com/pin/857372847836736265/)
- [Handcrafted Textile Designs](https://www.pinterest.com/pin/643240759312656277/)
- [Geometric Pattern Inspiration](https://www.pinterest.com/pin/274860383500203206/)
- [Textile Color Inspiration](https://www.pinterest.com/pin/100205160442307096/)
- [Nature-Inspired Fabric Pattern](https://www.pinterest.com/pin/3729612242967032/)
- [Organic Shape Design](https://pinterest.com/pin/59954238827727483/)
- [Circular Pattern Exploration](https://pinterest.com/pin/66287425760721099/)
- [3D Textile Sculpture](https://www.pinterest.com/pin/166703623701643696/)
- [Fractal Design Influence](https://www.pinterest.com/pin/116038127892283539/)
- [Textured Fabric Surface](https://www.pinterest.com/pin/357402920414070180/)
- [Inspiration for Layered Textiles](https://www.pinterest.com/pin/57772807712963109/)
- **[Mann, S., & Niedzviecki, H. (2001).](https://www.researchgate.net/publication/222531461_Fabric_area_network_-_a_new_wireless_communications_infrastructure_to_enable_ubiquitous_networking_and_sensing_on_intelligent_clothing)**  
- **[Wikipedia Contributors.](https://en.wikipedia.org/wiki/CuteCircuit?utm_source=chatgpt.com)** 
- **[Vogue.](https://www.vogue.co.uk/article/met-gala#/image/1)**
- **[Liu, Z., Wang, J., Wei, X., & Yang, S. (2022).](https://www.researchgate.net/publication/359833374_Smart_Electronic_Textiles_for_Wearable_Sensing_and_Display)**